--[[
v 11100.8
Fixes: 
:: Raid info spamming
:: 'You are now saved to this instance'
:: /raidinfo now works as well with the fixes previously made.
:: Fixed so chat tab is defaulted to first, instead of last created.
:: Fixed trade/whisper/inspect not showing up if unit was not in sight. Mostly done for whisper, but others were there pre 1.11 as well.
]]

RequestRaidInfo()
--ChatFrame1:AddMessage("Saved Instances:"..GetNumSavedInstances())
FixesFor111 = {
	testing=nil,
	elapsed=0,
	UPHB=UnitPopup_HideButtons,
	OnEvent = function()
		if event=="VARIABLES_LOADED" then
			RequestRaidInfo()
			local i
			for i=1, 7 do
				getglobal("ChatFrame"..i):UnregisterEvent("UPDATE_INSTANCE_INFO")
			end
			FixesFor111.OldChatFrameOnEvent = ChatFrame_OnEvent
			ChatFrame_OnEvent = FixesFor111.ChatFrameOnEvent
			UnitPopup_HideButtons=function()
				FixesFor111.UPHB();
				local fixed,index,value={TRADE=1,WHISPER=1,INSPECT=1}
				for index,value in UnitPopupMenus[getglobal(UIDROPDOWNMENU_INIT_MENU).which] do
					if fixed[value] then
						UnitPopupShown[index] = 1;
					end
				end
			end
		end
	end,
	OnUpdate = function()
		FixesFor111.elapsed = FixesFor111.elapsed + arg1
		if FixesFor111.elapsed > 1 then
			ChatFrame1Tab:Click()
			this:SetScript("OnUpdate",nil)
		end
	end,
		
	ChatFrameOnEvent = function(...)
		if arg[1]=="CHAT_MSG_SYSTEM" then
			if arg1==INSTANCE_SAVED then
				if FixesFor111.SavedInstances[GetRealZoneText()] then
					if FixesFor111.testing then
						ChatFrame1:AddMessage("Supressed Save Message")
					end
					return
				else
					FixesFor111.Refresh()
					local s,k=""
					for k in FixesFor111.SavedInstances do
						s=s..k
					end
					if string.find(s,GetRealZoneText()) then
						if FixesFor111.testing then
							ChatFrame1:AddMessage("Supressed Save Message - "..GetRealZoneText())
						end
						return
					end
					FixesFor111.SavedInstances[GetRealZoneText()]=true
				end
			end
		end
		FixesFor111.OldChatFrameOnEvent(unpack(arg))
	end,
	Refresh = function()
		FixesFor111.SavedInstances={}
		FixesFor111.NumSavedInstances = GetNumSavedInstances()
		local i
		local name,id,reset
		for i=1, FixesFor111.NumSavedInstances do
			name,id,reset =  GetSavedInstanceInfo(i)
			FixesFor111.SavedInstances[name] = true
		end
	end
		
}
local frame = CreateFrame("Frame")
frame:RegisterEvent("VARIABLES_LOADED")
frame:SetScript("OnEvent",FixesFor111.OnEvent)
frame:SetScript("OnUpdate",FixesFor111.OnUpdate)
local OldRequestRaidInfo = RequestRaidInfo
RequestRaidInfo = function()
	OldRequestRaidInfo();
	FixesFor111.Refresh()
end

SlashCmdList["RAID_INFO"] = function()
	RequestRaidInfo();
	if not RaidFrame:IsShown() and GetNumSavedInstances()>0 then
		ToggleFriendsFrame(4);
		RaidInfoFrame:Show();
	elseif (not RaidFrame:IsShown() and GetNumSavedInstances() == 0) then
		local i,f
		local info = ChatTypeInfo["SYSTEM"];
		for i = 1, NUM_CHAT_WINDOWS do
			f=getglobal("ChatFrame"..i)
			if(f and type(f.messageTypeList)=="table") then
				if table.find(f.messageTypeList,"SYSTEM") then
--				if string.find("::"..table.concat(f.messageTypeList,"::").."::","::SYSTEM::") then
					f:AddMessage(TEXT(NO_RAID_INSTANCES_SAVED), info.r, info.g, info.b, info.id);
				end
			end
		end
	end
end

