AceHealLocals = {}
AceHealConfigLocals = {}
if( not ace:LoadTranslation("AceHeal") ) then

--<< ================================================= >>--
-- Section II: AddOn Information.                        --
--<< ================================================= >>--

AceHealLocals.Title   = "AceHeal"
AceHealLocals.Version = "R12kx03b"
AceHealLocals.Desc    = "Ace Heal is a function library to add intelligent healing to other addons"


--<< ====================================================== >>--
-- Section III: Register Global Variables and Functions.      --
--<< ====================================================== >>--
ace:RegisterGlobals({
	version = 1.02, -- AceUtil version you are using
	MAP_ONOFF = {[0]="|cffff5050Off|r",[1]="|cff00ff00On|r"},
})

--<< ================================================= >>--
-- Section IV: Chat Option Variables.                    --
--<< ================================================= >>--

AceHealLocals.ChatCmd = {"/ah", "/aceheal"}

AceHealLocals.CHT_BUTTON_HELP = "Ace Heal buttons are\nLeftButton, MiddleButton, RightButton, Button4, Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "shift_LeftButton, shift_MiddleButton, shift_RightButton, shift_Button4, shift_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "ctrl_LeftButton, ctrl_MiddleButton, ctrl_RightButton, ctrl_Button4, ctrl_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "alt_LeftButton, alt_MiddleButton, alt_RightButton, alt_Button4, alt_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "shift_ctrl_LeftButton, shift_ctrl_MiddleButton, shift_ctrl_RightButton, shift_ctrl_Button4, shift_ctrl_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "shift_alt_LeftButton, shift_alt_MiddleButton, shift_alt_RightButton, shift_alt_Button4, shift_alt_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "alt_ctrl_LeftButton, alt_ctrl_MiddleButton, alt_ctrl_RightButton, alt_ctrl_Button4, alt_ctrl_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "shift_alt_ctrl_LeftButton, shift_alt_ctrl_MiddleButton, shift_alt_ctrl_RightButton, shift_alt_ctrl_Button4, shift_alt_ctrl_Button5\n\n"
		
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "Ace Heal built in functions are\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "Heal = efficient heal, long casting mana efficient heals\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "EmergencyHeal = emergency heals - faster casting but less mana efficient\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "InstantHeal = Instant cast heals, generally HOT's\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "PanicHeal = Druid&Shaman NS and Heal\n\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "GroupHeal = group heal spell\n\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "Select = Force target select\n\n"

AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "Useful global functions\n"

AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "examples:\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "/aceheal button shift_LeftButton=Heal  <- sets efficient heals to shift left button\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "/aceheal button crtl_LeftButton=PowerWord: Fortitude  <- set ctrl LeftButton to cast your highest rank PWF buff\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "/aceheal button Button4=AssistUnit   <- set mouse button for to assist the target clicked on\n"

AceHealLocals.ChatOptions = {
	{
		option         = "spellmsg",
		desc           = "Toggles spell messages",
		method         = "TogSpellMsg",
		args           = {
			{
				option   = "help",
				desc     = "Toggles spell message notification in Default Chat Frame",
			}
		}
	},
	{
		option         = "clicktores",
		desc           = "Toggles click to res",
		method         = "TogClickToRes",
		args           = {
			{
				option   = "help",
				desc     = "Toggles click to res on dead targets",
			}
		}
	},
	{
		option         = "reportbuttons",
		desc           = "report on button bindings",
		method         = "ReportButtons",
		args           = {
			{
				option   = "help",
				desc     = "Report button binding",
			}
		}
	},
	{
		option         = "button",
		desc           = "sets a button to do something",
		method         = "SetButton",
		input          = TRUE,
		args           = {
			{
				option   = "help",
				desc     = AceHealLocals.CHT_BUTTON_HELP,
			}
		}
	},
	{
		option         = "threshold",
		desc           = "Heal threshold or target health 1 = full health",
		method         = "SetThreshold",
		input          = TRUE,
		args           = {
			{
				option   = "help",
				desc     = "This sets the target health for healing.  1 = 100% health .8=80% etc."
			}
		}
	},
	{
		option         = "spellcancel",
		desc           = "Spell Cancel threshold",
		method         = "SetCancelThreshold",
		input          = TRUE,
		args           = {
			{
				option   = "help",
				desc     = "This sets the cancel threshold.  If the target's health changes in the last second of casting a healing spell with a casting time this thresholds is used to help determine the spell should still be cast.  the formula is MaxHealth-Health < minhealamount*cancelthreshold "
			}
		}
	},
}

--<< ================================================= >>--
-- Section V: Binding and Other Variables.               --
--<< ================================================= >>--

--table to categorize spells.
AceHealLocals.SpellCat={
	["Priest"] = {
		["Lesser Heal"]			= {spelltype = "Efficient", lvls = {1,4,10}},
		["Heal"]				= {spelltype = "Efficient", lvls = {16,22,28,34}},
		["Greater Heal"]		= {spelltype = "Efficient", lvls = {40,46,52,58,60,60}},
		["Flash Heal"] 			= {spelltype = "Emergency", lvls = {20,26,32,38,44,50,56}},
		["Renew"] 				= {spelltype = "Instant", lvls = {8,14,20,26,32,38,44,50,56,60}},
		["Prayer of Healing"] 	= {spelltype = "Group", targetself = TRUE, lvls = {30,40,50,60,60}},
		["Dispel Magic"] 		= {spelltype = "Magic", lvls = {18,36}},
		["Cure Disease"] 		= {spelltype = "Disease"},
		["Abolish Disease"] 	= {spelltype = "Disease"},
		["Resurrection"] 		= {spelltype = "Resurrection", lvls = {10,22,34,46,58}},
		["Power Word: Fortitude"] = {spelltype = "Buff", lvls = {1,12,24,36,48,60}},
		["Power Word: Shield"] 	= {spelltype = "Buff", lvls = {6,12,18,24,30,36,42,48,54,60}},
		["Shadow Protection"]	= {spelltype = "Buff", lvls = {30,42,56}},
		["Divine Spirit"]		= {spelltype = "Buff", lvls = {40,42,54}},
		["Prayer of Shadow Protection"]		= {spelltype = "Buff", lvls = {60}},
		["Prayer of Fortitude"]	= {spelltype = "Buff", lvls = {48,60}},
		["Prayer of  Spirit"]	= {spelltype = "Buff", lvls = {60}},
		["Spirit of Redemption"] = {spelltype = "Buff", lvls = {30}},
	},
	["Druid"] = {
		["Healing Touch"]		= {spelltype = "Efficient", lvls = {1,14,20,26,32,38,44,50,56,60}},
		["Regrowth"] 			= {spelltype = "Emergency", lvls = {12,18,24,30,36,42,48,54,60,60}},
		["Rejuvenation"]		= {spelltype = "Instant", lvls = {4,10,16,22,28,34,40,46,52,58,60}},
		["Tranquility"] 		= {spelltype = "Group", targetself = TRUE, lvls = {30,40,50,60}},
		["Abolish Poison"] 		= {spelltype = "Poison"},
		["Remove Curse"] 		= {spelltype = "Curse"},
		["Rebirth"] 			= {spelltype = "Resurrection", lvls = {30,40,50,60}},
		["Mark of the Wild"]	= {spelltype = "Buff", lvls = {1,10,20,30,40,50,60}},
		["Thorns"]				= {spelltype = "Buff", lvls = {6,14,24,34,44,54}},
		["Nature's Swiftness"]	= {spelltype = "Buff"},
	},
	["Shaman"] = {
		["Healing Wave"]       	= {spelltype = "Efficient", lvls = {1,6,12,18,24,32,40,48,56,60}},
		["Lesser Healing Wave"]	= {spelltype = "Emergency", lvls = {20,28,36,44,52,60}},
		["Chain Heal"]         	= {spelltype = "Group", lvls = {46,54}},
		["Ancestral Spirit"]	= {spelltype = "Resurrection", lvls = {12,24,36,60}},
		["Nature's Swiftness"]	= {spelltype = "Buff"},
	},
	["Paladin"] = {
		["Holy Light"]         	= {spelltype = "Efficient", lvls = {1,6,14,22,30,38,46,54,60}},
		["Flash of Light"]     	= {spelltype = "Emergency", lvls = {20,26,34,42,50,58}},
		["Redemption"]			= {spelltype = "Resurrection", lvls = {13,24,36,48,60}},
		["Blessing of Sacrifice"]	= {spelltype = "Buff", lvls = {46,54}},
		["Blessing of Salvation"]	= {spelltype = "Buff", lvls = {26}},
		["Blessing of Freedom"]	= {spelltype = "Buff", lvls = {18}},
		["Blessing of Light"]	= {spelltype = "Buff", lvls = {40,50,60}},
		["Blessing of Sanctuary"]	= {spelltype = "Buff", lvls = {20,30,40,50,60}},
		["Blessing of Kings"]	= {spelltype = "Buff", lvls = {40}},
		["Blessing of Protection"]	= {spelltype = "Buff", lvls = {10,24,38}},
		["Blessing of Might"]	= {spelltype = "Buff", lvls = {4,12,22,32,42,52}},
		["Blessing of Wisdom"]	= {spelltype = "Buff", lvls = {14,24,34,44,54,60}},
		["Greater Blessing of Might"]	= {spelltype = "Buff", lvls = {52,60}},
		["Greater Blessing of Wisdom"]	= {spelltype = "Buff", lvls = {54,60}},
		["Greater Blessing of Kings"]	= {spelltype = "Buff", lvls = {60}},
		["Greater Blessing of Light"]	= {spelltype = "Buff", lvls = {60}},
		["Greater Blessing of Sanctuary"]	= {spelltype = "Buff", lvls = {60}},
		["Divine Protection"]	= {spelltype = "Buff", lvls = {6,18}},
		["Divine Shield"]	= {spelltype = "Buff", lvls = {34,50}},
	},
	["Mage"] = {
		["Arcane Intellect"]	= {spelltype = "Buff", lvls = {1,14,28,42,56}},
	},
	["Hunter"] = {},
	["Rogue"] = {},
	["Warlock"] = {},
	["Warrior"] = {},
}
AceHealLocals.Bandage={
	["Heavy Runecloth Bandage"]	={spelltype = "Bandage", heal = 2000},
	["Runecloth Bandage"]		={spelltype = "Bandage", heal = 1360},
	["Heavy Mageweave Bandage"]	={spelltype = "Bandage", heal = 1104},
	["Mageweave Bandage"]		={spelltype = "Bandage", heal =  800},
	["Heavy Silk Bandage"]		={spelltype = "Bandage", heal =  640},
	["Silk Bandage"]			={spelltype = "Bandage", heal =  400},
	["Heavy Wool Bandage"]		={spelltype = "Bandage", heal =  301},
	["Wool Bandage"]			={spelltype = "Bandage", heal =  161},
	["Heavy Linen Bandage"]		={spelltype = "Bandage", heal =  114},
	["Linen Bandage"]			={spelltype = "Bandage", heal =   66},
}

AceHealLocals.NATURESSWIFTNESS = "Nature's Swiftness"
AceHealLocals.FREE_MANA_BUFFS = {"Inner Focus"}
AceHealLocals.REAGENT = "Reagents: "
AceHealLocals.INSTANTCAST = "Instant cast"
AceHealLocals.CASTTIME_PATTERN = "(%d+[.,]?%d*) sec cast"
AceHealLocals.MANA_PATTERN = "(%d+) Mana"
AceHealLocals.RANK_PATTERN = "Rank (%d+)"
AceHealLocals.RANGE_PATTERN = "(%d+) yd range"
AceHealLocals.HEAL_PATTERNS = {
	{ pattern = "(%d+) .+ (%d+) .+ (%d+) .+ (%d+)" },
	{ pattern = "(%d+) .+ (%d+) .+ (%d+)" },
	{ pattern = "(%d+) .+ (%d+)" },
	{ pattern = "(%d+)" },
}

AceHealLocals.CLASS_DRUID                    = 'Druid'
AceHealLocals.CLASS_MAGE                     = 'Mage'
AceHealLocals.CLASS_HUNTER                   = 'Hunter'
AceHealLocals.CLASS_PALADIN                  = 'Paladin'
AceHealLocals.CLASS_PRIEST                   = 'Priest'
AceHealLocals.CLASS_ROGUE                    = 'Rogue'
AceHealLocals.CLASS_SHAMAN                   = 'Shaman'
AceHealLocals.CLASS_WARLOCK                  = 'Warlock'
AceHealLocals.CLASS_WARRIOR                  = 'Warrior'

-- AceHealConfig Locals
AceHealConfigLocals.TITLE				= 'AceHeal Config'
AceHealConfigLocals.KEYBINDING			= 'Key Binding'
AceHealConfigLocals.MOUSEBUTTONS		= 'Mouse Buttons'
AceHealConfigLocals.BINDING				= 'Binding'
AceHealConfigLocals.SAVE				= 'Save'
AceHealConfigLocals.BUTTONBINDING		= 'Button Bindings'
AceHealConfigLocals.MISCOPTIONS			= 'Misc Options'
AceHealConfigLocals.HEALTHRESHOLD		= 'Heal\nThreshold'
AceHealConfigLocals.CANCELTHRESHOLD	= 'Cancel\nThreshold'
AceHealConfigLocals.ALTKEY				= 'ALT'
AceHealConfigLocals.CTRLKEY				= 'CTRL'
AceHealConfigLocals.SHIFTKEY			= 'SHIFT'
AceHealConfigLocals.LEFTBUTTON			= 'LeftButton'
AceHealConfigLocals.RIGHTBUTTON			= 'RightButton'
AceHealConfigLocals.MIDDLEBUTTON		= 'MiddleButton'
AceHealConfigLocals.BUTTON4				= 'Button4'
AceHealConfigLocals.BUTTON5				= 'Button5'
AceHealConfigLocals.PROFILE				= 'Profile: '

--<< ================================================= >>--
-- Section Omega: Closure.                               --
--<< ================================================= >>--

end