﻿function AceHeal_Locals_deDE()

--<< ================================================= >>--
-- Section II: AddOn Information.                        --
--<< ================================================= >>--

AceHealLocals.Title   = "AceHeal"
AceHealLocals.Version = "R12kx03b"
AceHealLocals.Desc    = "Ace Heal ist eine Funktionsbibliothek die anderen Modifikationen intelligentes Heilen bereitstellt"


--<< ====================================================== >>--
-- Section III: Register Global Variables and Functions.      --
--<< ====================================================== >>--
ace:RegisterGlobals({
	version = 1.02, -- AceUtil version you are using
	translation = "deDE",
	MAP_ONOFF = {[0]="|cffff5050Off|r",[1]="|cff00ff00On|r"}
})

--<< ================================================= >>--
-- Section IV: Chat Option Variables.                    --
--<< ================================================= >>--

AceHealLocals.ChatCmd = {"/ah", "/aceheal"}

AceHealLocals.CHT_BUTTON_HELP = "Ace Heal buttons are\LeftButton, MiddleButton, RightButton, Button4, Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "shift_LeftButton, shift_MiddleButton, shift_RightButton, shift_Button4, shift_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "ctrl_LeftButton, ctrl_MiddleButton, ctrl_RightButton, ctrl_Button4, ctrl_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "alt_LeftButton, alt_MiddleButton, alt_RightButton, alt_Button4, alt_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "shift_ctrl_LeftButton, shift_ctrl_MiddleButton, shift_ctrl_RightButton, shift_ctrl_Button4, shift_ctrl_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "shift_alt_LeftButton, shift_alt_MiddleButton, shift_alt_RightButton, shift_alt_Button4, shift_alt_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "alt_ctrl_LeftButton, alt_ctrl_MiddleButton, alt_ctrl_RightButton, alt_ctrl_Button4, alt_ctrl_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "shift_alt_ctrl_LeftButton, shift_alt_ctrl_MiddleButton, shift_alt_ctrl_RightButton, shift_alt_ctrl_Button4, shift_alt_ctrl_Button5\n\n"
		
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "Ace Heal built in functions are\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "Heal = efficient heal, long casting mana efficient heals\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "EmergencyHeal = emergency heals - faster casting but less mana efficient\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "InstantHeal = Instant cast heals, generally HOT's\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "PanicHeal = Druid&Shaman NS and Heal\n\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "GroupHeal = group heal spell\n\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "Select = Force target select\n\n"

AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "Useful global functions\n"

AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "examples:\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "/aceheal button shift_LeftButton=Heal  <- sets efficient heals to shift left button\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "/aceheal button crtl_LeftButton=PowerWord: Fortitude  <- set ctrl LeftButton to cast your highest rank PWF buff\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "/aceheal button Button4=AssistUnit   <- set mouse button for to assist the target clicked on\n"

AceHealLocals.ChatOptions = {
	{
		option         = "spellmsg",
		desc           = "Toggles spell messages",
		method         = "TogSpellMsg",
		args           = {
			{
				option   = "help",
				desc     = "Toggles spell message notification in Default Chat Frame",
			}
		}
	},
	{
		option         = "clicktores",
		desc           = "Toggles click to res",
		method         = "TogClickToRes",
		args           = {
			{
				option   = "help",
				desc     = "Toggles click to res on dead targets",
			}
		}
	},
	{
		option         = "reportbuttons",
		desc           = "report on button bindings",
		method         = "ReportButtons",
		args           = {
			{
				option   = "help",
				desc     = "Report button binding",
			}
		}
	},
	{
		option         = "button",
		desc           = "sets a button to do something",
		method         = "SetButton",
		input          = TRUE,
		args           = {
			{
				option   = "help",
				desc     = AceHealLocals.CHT_BUTTON_HELP,
			}
		}
	},
	{
		option         = "threshold",
		desc           = "Heal threshold or target health 1 = full health",
		method         = "SetThreshold",
		input          = TRUE,
		args           = {
			{
				option   = "help",
				desc     = "This sets the target health for healing.  1 = 100% health .8=80% etc."
			}
		}
	},
	{
		option         = "spellcancel",
		desc           = "Spell Cancel threshold",
		method         = "SetCancelThreshold",
		input          = TRUE,
		args           = {
			{
				option   = "help",
				desc     = "This sets the cancel threshold.  If the target's health changes in the last second of casting a healing spell with a casting time this thresholds is used to help determine the spell should still be cast.  the formula is MaxHealth-Health < minhealamount*cancelthreshold "
			}
		}
	},
}

--<< ================================================= >>--
-- Section V: Binding and Other Variables.               --
--<< ================================================= >>--

--table to catagorize spells.
AceHealLocals.SpellCat={
	["Priester"] = {
		["Geringes Heilen"]                = {spelltype = "Efficient"},
		["Heilen"]                         = {spelltype = "Efficient"},
		["Gro\195\159e Heilung"]           = {spelltype = "Efficient"},
		["Blitzheilung"]                   = {spelltype = "Emergency"},
		["Erneuerung"]                     = {spelltype = "Instant", lvls = {8,14,20,26,32,38,44,50,56}},
		["Gebet der Heilung"]              = {spelltype = "Group", targetself = TRUE},
		["Magiebannung"]                   = {spelltype = "Magic"},
		["Krankheit aufheben"]             = {spelltype = "Disease"},
		["Krankheit heilen"]               = {spelltype = "Disease"},
		["Auferstehung"]                   = {spelltype = "Resurrection"},
		["Machtwort: Seelenst\195\164rke"] = {spelltype = "Buff", lvls = {1,12,24,36,48,60} },
		["Machtwort: Schild"]              = {spelltype = "Buff", lvls = {6,12,18,24,30,36,42,48,54,60} },
		["Schattenschutz"]                 = {spelltype = "Buff", lvls = {30,42,56} },
		["G\195\182ttlicher Wille"]        = {spelltype = "Buff", lvls = {40,42,54} },
	},
	["Druide"] = {
		["Heilende Ber\195\188hrung"]      = {spelltype = "Efficient"},
		["Nachwachsen"]                    = {spelltype = "Emergency", lvls = {12,18,24,30,36,42,48,54,60} },
		["Verj\195\188ngung"]              = {spelltype = "Instant", lvls = {4,10,16,22,28,34,40,46,52,58} },
		["Gelassenheit"]                   = {spelltype = "Group", targetself = TRUE},
		["Vergiftung heilen"]              = {spelltype = "Poison"},
		["Vergiftung aufheben"]            = {spelltype = "Poison"},
		["Fluch entfernen"]                = {spelltype = "Curse"},
		["Wiedergeburt"]                   = {spelltype = "Resurrection"},
		["Mal der Wildnis"]                = {spelltype = "Buff", lvls = {1,10,20,30,40,50,60} },
		["Dornen"]                         = {spelltype = "Buff", lvls = {6,14,24,34,44,54} },
	},
	["Schamane"] = {
		["Welle der Heilung"]              = {spelltype = "Efficient"},
		["Geringe Welle der Heilung"]      = {spelltype = "Emergency"},
		["Kettenheilen"]                   = {spelltype = "Group"},
		["Geist der Vorfahren"]            = {spelltype = "Resurrection"},
	},
	["Paladin"] = {
		["Heiliges Licht"]                 = {spelltype = "Efficient"},
		["Lichtblitz"]                     = {spelltype = "Emergency"},
		["Erl\195\182sung"]                = {spelltype = "Resurrection"},
		["Segen der Aufopferung"]          = {spelltype = "Buff", lvls = {46, 54} },
		["Segen des Rettung"]              = {spelltype = "Buff", lvls = {26} },
		["Segen der Freiheit"]             = {spelltype = "Buff", lvls = {18} },
		["Segen des Lichtes"]              = {spelltype = "Buff", lvls = {40,50,60} },
		["Segen des Refugiums"]            = {spelltype = "Buff", lvls = {20,30,40,50,60} },
		["Segen der K\192\182nige"]        = {spelltype = "Buff", lvls = {40} },
		["Segen des Schutzes"]             = {spelltype = "Buff", lvls = {10,24,38} },
		["Segen der Macht"]                = {spelltype = "Buff", lvls = {4,12,22,32,42,52} },
		["Segen der Weisheit"]             = {spelltype = "Buff", lvls = {14,24,34,44,54} },
	},
	["Magier"] = {
		["Arkaner Intellekt"]              = {spelltype = "Buff", lvls = {1,14,28,42,56} }
	},
	["J\195\164ger"] = {},
	["Schurke"] = {},
	["Hexenmeister"] = {},
	["Krieger"] = {},
}

AceHealLocals.Bandage={
	["Heavy Runecloth Bandage"]	={spelltype = "Bandage", heal = 2000},
	["Runecloth Bandage"]		={spelltype = "Bandage", heal = 1360},
	["Heavy Mageweave Bandage"]	={spelltype = "Bandage", heal = 1104},
	["Mageweave Bandage"]		={spelltype = "Bandage", heal =  800 },
	["Heavy Silk Bandage"]		={spelltype = "Bandage", heal =  640},
	["Silk Bandage"]			={spelltype = "Bandage", heal =  400},
	["Heavy Wool Bandage"]		={spelltype = "Bandage", heal =  301},
	["Wool Bandage"]			={spelltype = "Bandage", heal =  161},
	["Heavy Linen Bandage"]		={spelltype = "Bandage", heal =  114},
	["Linen Bandage"]			={spelltype = "Bandage", heal =   66},
}

AceHealLocals.NATURESSWIFTNESS = "Schnelligkeit der Natur"
AceHealLocals.FREE_MANA_BUFFS = {"Innerer Fokus"}
AceHealLocals.REAGENT = "Reagenz: "
AceHealLocals.INSTANTCAST = "Spontanzauber"
AceHealLocals.CASTTIME_PATTERN = "(%d+[.,]?%d*) sec cast"
AceHealLocals.MANA_PATTERN = "(%d+) Mana"
AceHealLocals.RANK_PATTERN = "Rang (%d+)"
AceHealLocals.RANGE_PATTERN = "(%d+) meter range"
AceHealLocals.HEAL_PATTERNS = {
	{ pattern = "(%d+) .+ (%d+) .+ (%d+) .+ (%d+)" },
	{ pattern = "(%d+) .+ (%d+) .+ (%d+)" },
	{ pattern = "(%d+) .+ (%d+)" },
	{ pattern = "(%d+)" },
}

AceHealLocals.CLASS_DRUID           = 'Druide'
AceHealLocals.CLASS_MAGE            = 'Magier'
AceHealLocals.CLASS_HUNTER          = 'J\195\164ger'
AceHealLocals.CLASS_PALADIN         = 'Paladin'
AceHealLocals.CLASS_PRIEST          = 'Priester'
AceHealLocals.CLASS_ROGUE           = 'Schurke'
AceHealLocals.CLASS_SHAMAN          = 'Schamane'
AceHealLocals.CLASS_WARLOCK         = 'Hexenmeister'
AceHealLocals.CLASS_WARRIOR         = 'Krieger'

-- AceHealConfig Locals
AceHealConfigLocals.TITLE				= 'AceHeal Config'
AceHealConfigLocals.KEYBINDING			= 'Key Binding'
AceHealConfigLocals.MOUSEBUTTONS		= 'Mouse Buttons'
AceHealConfigLocals.BINDING				= 'Binding'
AceHealConfigLocals.SAVE				= 'Save'
AceHealConfigLocals.BUTTONBINDING		= 'Button Bindings'
AceHealConfigLocals.MISCOPTIONS			= 'Misc Options'
AceHealConfigLocals.HEALTHRESHOLD		= 'Heal\nThreshold'
AceHealConfigLocals.CANCELTHRESHOLD	= 'Cancel\nThreshold'
AceHealConfigLocals.ALTKEY				= 'ALT'
AceHealConfigLocals.CTRLKEY				= 'CTRL'
AceHealConfigLocals.SHIFTKEY			= 'SHIFT'
AceHealConfigLocals.LEFTBUTTON			= 'LeftButton'
AceHealConfigLocals.RIGHTBUTTON			= 'RightButton'
AceHealConfigLocals.MIDDLEBUTTON		= 'MiddleButton'
AceHealConfigLocals.BUTTON4				= 'Button4'
AceHealConfigLocals.BUTTON5				= 'Button5'
AceHealConfigLocals.PROFILE				= 'Profile: '

--<< ================================================= >>--
-- Section Omega: Closure.                               --
--<< ================================================= >>--

end