function AceHeal_Locals_zhCN()

--<< ================================================= >>--
-- Section II: AddOn Information.                        --
--<< ================================================= >>--

AceHealLocals.Title   = "AceHeal"
AceHealLocals.Version = "R12kx03b"
AceHealLocals.Desc    = "Ace Heal is a function library to add intelligent healing to other addons"


--<< ====================================================== >>--
-- Section III: Register Global Variables and Functions.      --
--<< ====================================================== >>--
ace:RegisterGlobals({
	version = 1.02, -- AceUtil version you are using
	MAP_ONOFF = {[0]="|cffff5050Off|r",[1]="|cff00ff00On|r"},
})

--<< ================================================= >>--
-- Section IV: Chat Option Variables.                    --
--<< ================================================= >>--

AceHealLocals.ChatCmd = {"/ah", "/aceheal"}

AceHealLocals.CHT_BUTTON_HELP = "Ace Heal 按键设置有\nLeftButton, MiddleButton, RightButton, Button4, Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "shift_LeftButton, shift_MiddleButton, shift_RightButton, shift_Button4, shift_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "ctrl_LeftButton, ctrl_MiddleButton, ctrl_RightButton, ctrl_Button4, ctrl_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "alt_LeftButton, alt_MiddleButton, alt_RightButton, alt_Button4, alt_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "shift_ctrl_LeftButton, shift_ctrl_MiddleButton, shift_ctrl_RightButton, shift_ctrl_Button4, shift_ctrl_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "shift_alt_LeftButton, shift_alt_MiddleButton, shift_alt_RightButton, shift_alt_Button4, shift_alt_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "alt_ctrl_LeftButton, alt_ctrl_MiddleButton, alt_ctrl_RightButton, alt_ctrl_Button4, alt_ctrl_Button5\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "shift_alt_ctrl_LeftButton, shift_alt_ctrl_MiddleButton, shift_alt_ctrl_RightButton, shift_alt_ctrl_Button4, shift_alt_ctrl_Button5\n\n"
		
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "Ace Heal 内建函数有\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "Heal = 高效治疗, 施法时间长但治疗效率(对应魔法消耗)高\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "EmergencyHeal = 紧急治疗, 施法时间短但治疗效率(对应魔法消耗)低\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "InstantHeal = 实时治疗, 一般来说是HOT\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "PanicHeal = 瞬发治疗, 德鲁伊或萨满祭司 自然迅捷 治疗\n\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "GroupHeal = 团队治疗法术\n\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "Select = 强制目标选择t\n\n"

AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "有用的全局函数\n"

AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "示例:\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "/aceheal button shift_LeftButton=Heal  <- 设置施放 高效治疗 按键为<shift + 左键点击>\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "/aceheal button crtl_LeftButton=真言术：韧  <- 设置施放最高等级的 真言术：韧 按键为<ctrl + 左键点击>\n"
AceHealLocals.CHT_BUTTON_HELP = AceHealLocals.CHT_BUTTON_HELP .. "/aceheal button Button4=AssistUnit   <- 设置 协助目标 按键为鼠标按键4\n"

AceHealLocals.ChatOptions = {
	{
		option         = "spellmsg",
		desc           = "打开/关闭 施法消息通告",
		method         = "TogSpellMsg",
		args           = {
			{
				option   = "help",
				desc     = "打开/关闭 在默认聊天窗口显示施法消息通告",
			}
		}
	},
	{
		option         = "clicktores",
		desc           = "打开/关闭 点击施放复活法术",
		method         = "TogClickToRes",
		args           = {
			{
				option   = "help",
				desc     = "打开/关闭 对已死亡目标施放复活法术",
			}
		}
	},
	{
		option         = "reportbuttons",
		desc           = "显示按键绑定",
		method         = "ReportButtons",
		args           = {
			{
				option   = "help",
				desc     = "显示按键绑定",
			}
		}
	},
	{
		option         = "button",
		desc           = "设置按键",
		method         = "SetButton",
		input          = TRUE,
		args           = {
			{
				option   = "help",
				desc     = AceHealLocals.CHT_BUTTON_HELP,
			}
		}
	},
	{
		option         = "threshold",
		desc           = "治疗阈值, 1 = 满生命值",
		method         = "SetThreshold",
		input          = TRUE,
		args           = {
			{
				option   = "help",
				desc     = "设置目标需治疗到的生命值.  1 = 100% 生命值 .8=80% 等"
			}
		}
	},
	{
		option         = "spellcancel",
		desc           = "治疗法术中断阈值",
		method         = "SetCancelThreshold",
		input          = TRUE,
		args           = {
			{
				option   = "help",
				desc     = "设置治疗法术中断阈值"
			}
		}
	},
}

--<< ================================================= >>--
-- Section V: Binding and Other Variables.               --
--<< ================================================= >>--

--table to categorize spells.
AceHealLocals.SpellCat={
	["牧师"] = {
		["次级治疗术"]			= {spelltype = "Efficient", lvls = {1,4,10}},
		["治疗术"] 				= {spelltype = "Efficient", lvls = {16,22,28,34,38,44,50,56,60}},
		["强效治疗术"] 		= {spelltype = "Efficient", lvls = {40,46,52,58,60}},
		["快速治疗"] 			= {spelltype = "Emergency", lvls = {20,26,32,38,44,50,56}},
		["恢复"] 				= {spelltype = "Instant", lvls = {8,14,20,26,32,38,44,50,56,60}},
		["治疗祷言"] 	= {spelltype = "Group", targetself = TRUE, lvls = {30,40,50,60,60}},
		["驱散魔法"] 		= {spelltype = "Magic", lvls = {18,36}},
		["祛病术"] 		= {spelltype = "Disease"},
		["驱除疾病"] 	= {spelltype = "Disease"},
		["复活术"] 		= {spelltype = "Resurrection", lvls = {10,22,34,46,58}},
		["真言术：韧"] = {spelltype = "Buff", lvls = {1,12,24,36,48,60}},
		["真言术：盾"] 	= {spelltype = "Buff", lvls = {6,12,18,24,30,36,42,48,54,60}},
		["防护暗影"]	= {spelltype = "Buff", lvls = {30,42,56}},
		["神圣之灵"]		= {spelltype = "Buff", lvls = {40,42,54}},
		["暗影防护祷言"]		= {spelltype = "Buff", lvls = {60}},
		["坚韧祷言"]		= {spelltype = "Buff", lvls = {48,60}},
		["精神祷言"]		= {spelltype = "Buff", lvls = {60}},
		["救赎之魂"]		= {spelltype = "Buff", lvls = {30}},
	},
	["德鲁伊"] = {
		["治疗之触"]		= {spelltype = "Efficient", lvls = {1,14,20,26,32,38,44,50,56,60}},
		["愈合"] 			= {spelltype = "Emergency", lvls = {12,18,24,30,36,42,48,54,60,60}},
		["回春术"]		= {spelltype = "Instant", lvls = {4,10,16,22,28,34,40,46,52,58,60}},
		["宁静"] 		= {spelltype = "Group", targetself = TRUE, lvls = {30,40,50,60}},
		["驱毒术"] 		= {spelltype = "Poison"},
		["解除诅咒"] 		= {spelltype = "Curse"},
		["复生"] 			= {spelltype = "Resurrection", lvls = {30,40,50,60}},
		["野性印记"]	= {spelltype = "Buff", lvls = {1,10,20,30,40,50,60}},
		["荆棘术"]				= {spelltype = "Buff", lvls = {6,14,24,34,44,54}},
		["自然迅捷"]				= {spelltype = "Buff"},
	},
	["萨满祭司"] = {
		["治疗波"]       	= {spelltype = "Efficient", lvls = {1,6,12,18,24,32,40,48,56,60}},
		["次级治疗波"]	= {spelltype = "Emergency", lvls = {20,28,36,44,52,60}},
		["治疗链"]         	= {spelltype = "Group", lvls = {46,54}},
		["先祖之魂"]	= {spelltype = "Resurrection", lvls = {12,24,36,60}},
		["自然迅捷"]				= {spelltype = "Buff"},
	},
	["圣骑士"] = {
		["圣光术"]         	= {spelltype = "Efficient", lvls = {1,6,14,22,30,38,46,54,60}},
		["圣光闪现"]     	= {spelltype = "Emergency", lvls = {20,26,34,42,50,58}},
		["救赎"]			= {spelltype = "Resurrection", lvls = {13,24,36,48,60}},
		["牺牲祝福"]	= {spelltype = "Buff", lvls = {46,54}},
		["拯救祝福"]	= {spelltype = "Buff", lvls = {26}},
		["自由祝福"]	= {spelltype = "Buff", lvls = {18}},
		["光明祝福"]	= {spelltype = "Buff", lvls = {40,50,60}},
		["庇护祝福"]	= {spelltype = "Buff", lvls = {20,30,40,50,60}},
		["王者祝福"]	= {spelltype = "Buff", lvls = {40}},
		["保护祝福"]	= {spelltype = "Buff", lvls = {10,24,38}},
		["力量祝福"]	= {spelltype = "Buff", lvls = {4,12,22,32,42,52}},
		["智慧祝福"]	= {spelltype = "Buff", lvls = {14,24,34,44,54,60}},
		["强效力量祝福"]	= {spelltype = "Buff", lvls = {52,60}},
		["强效智慧祝福"]	= {spelltype = "Buff", lvls = {54,60}},
		["强效王者祝福"]	= {spelltype = "Buff", lvls = {60}},
		["强效光明祝福"]	= {spelltype = "Buff", lvls = {60}},
		["强效庇护祝福"]	= {spelltype = "Buff", lvls = {60}},
		["圣佑术"]	= {spelltype = "Buff", lvls = {6,18}},
		["圣盾术"]	= {spelltype = "Buff", lvls = {34,50}},
	},
	["法师"] = {
		["奥术智慧"]	= {spelltype = "Buff", lvls = {1,14,28,42,56}},
	},
	["猎人"] = {},
	["盗贼"] = {},
	["术士"] = {},
	["战士"] = {},
}
AceHealLocals.Bandage={
--Bandage
["厚符文布绷带"]	={spelltype = "Bandage", heal = 2000},
["符文布绷带"]		={spelltype = "Bandage", heal = 1360},
["厚魔纹绷带"]	={spelltype = "Bandage", heal = 1104},
["魔纹绷带"]		={spelltype = "Bandage", heal =  800 },
["厚丝质绷带"]		={spelltype = "Bandage", heal =  640},
["丝质绷带"]			={spelltype = "Bandage", heal =  400},
["厚绒线绷带"]		={spelltype = "Bandage", heal =  301},
["绒线绷带"]			={spelltype = "Bandage", heal =  161},
["厚亚麻绷带"]		={spelltype = "Bandage", heal =  114},
["亚麻绷带"]			={spelltype = "Bandage", heal =   66},
}

AceHealLocals.NATURESSWIFTNESS = "自然迅捷"

AceHealLocals.FREE_MANA_BUFFS = {"心灵专注"}
AceHealLocals.REAGENT = "材料："
AceHealLocals.INSTANTCAST = "瞬发法术"
AceHealLocals.CASTTIME_PATTERN = "(%d+[.,]?%d*)秒施法时间"
AceHealLocals.MANA_PATTERN = "(%d+)法力值"
AceHealLocals.RANK_PATTERN = "等级 (%d+)"
AceHealLocals.RANGE_PATTERN = "(%d+)码距离"
AceHealLocals.HEAL_PATTERNS = {
	{ pattern = "(%d+) .+ (%d+) .+ (%d+) .+ (%d+)" },
	{ pattern = "(%d+) .+ (%d+) .+ (%d+)" },
	{ pattern = "(%d+) .+ (%d+)" },
	{ pattern = "(%d+)" },
}

AceHealLocals.CLASS_DRUID                    = '德鲁伊'
AceHealLocals.CLASS_MAGE                     = '法师'
AceHealLocals.CLASS_HUNTER                   = '猎人'
AceHealLocals.CLASS_PALADIN                  = '圣骑士'
AceHealLocals.CLASS_PRIEST                   = '牧师'
AceHealLocals.CLASS_ROGUE                    = '盗贼'
AceHealLocals.CLASS_SHAMAN                   = '萨满祭司'
AceHealLocals.CLASS_WARLOCK                  = '术士'
AceHealLocals.CLASS_WARRIOR                  = '战士'

-- AceHealConfig Locals
AceHealConfigLocals.TITLE				= 'AceHeal 配置'
AceHealConfigLocals.KEYBINDING			= '按键绑定'
AceHealConfigLocals.MOUSEBUTTONS		= '鼠标按钮'
AceHealConfigLocals.BINDING				= '绑定到'
AceHealConfigLocals.SAVE				= '保存'
AceHealConfigLocals.BUTTONBINDING		= '已保存的设置'
AceHealConfigLocals.MISCOPTIONS			= '杂项'
AceHealConfigLocals.HEALTHRESHOLD		= '治疗阈值'
AceHealConfigLocals.CANCELTHRESHOLD	= '中断阈值'
AceHealConfigLocals.ALTKEY				= 'ALT'
AceHealConfigLocals.CTRLKEY				= 'CTRL'
AceHealConfigLocals.SHIFTKEY			= 'SHIFT'
AceHealConfigLocals.LEFTBUTTON			= '左键'
AceHealConfigLocals.RIGHTBUTTON			= '右键'
AceHealConfigLocals.MIDDLEBUTTON		= '中键'
AceHealConfigLocals.BUTTON4				= '鼠标键4'
AceHealConfigLocals.BUTTON5				= '鼠标键5'
AceHealConfigLocals.PROFILE				= '配置文件: '

--<< ================================================= >>--
-- Section Omega: Closure.                               --
--<< ================================================= >>--

end