﻿AceHealBliz = AceHeal:new({
	name          = AceHealLocals.Title,
	description   = "AceHeal Blizzard Frames Extension",
	version       = AceHealLocals.Version,
	releaseDate   = "9-10-2005",
	aceCompatible = "100",
	author        = "Thirsterhall",

})

function AceHealBliz:Enable()
	AceHeal:Enable(this)
	if getglobal("PlayerFrame_OnClick") then
		PlayerFrame:RegisterForClicks('LeftButtonUp', 'RightButtonUp', 'MiddleButtonUp', 'Button4Up', 'Button5Up')
		PetFrame:RegisterForClicks('LeftButtonUp', 'RightButtonUp', 'MiddleButtonUp', 'Button4Up', 'Button5Up')
		self:Hook("PlayerFrame_OnClick","BlizPlayerClick")
		self:Hook("PetFrame_OnClick","BlizPetClick")
	end
	if getglobal("TargetFrame_OnClick") then
		TargetFrame:RegisterForClicks('LeftButtonUp', 'RightButtonUp', 'MiddleButtonUp', 'Button4Up', 'Button5Up');
		self:Hook("TargetFrame_OnClick","BlizTargetClick")
	end
	if getglobal("PartyMemberFrame_OnClick") then
		PartyMemberFrame1:RegisterForClicks('LeftButtonUp', 'RightButtonUp', 'MiddleButtonUp', 'Button4Up', 'Button5Up');
		PartyMemberFrame2:RegisterForClicks('LeftButtonUp', 'RightButtonUp', 'MiddleButtonUp', 'Button4Up', 'Button5Up');
		PartyMemberFrame3:RegisterForClicks('LeftButtonUp', 'RightButtonUp', 'MiddleButtonUp', 'Button4Up', 'Button5Up');
		PartyMemberFrame4:RegisterForClicks('LeftButtonUp', 'RightButtonUp', 'MiddleButtonUp', 'Button4Up', 'Button5Up');
		self:Hook("PartyMemberFrame_OnClick","BlizPartyClick")
	end
	if getglobal("PartyMemberPetFrame_OnClick") then
		PartyMemberFrame1PetFrame:RegisterForClicks('LeftButtonUp', 'RightButtonUp', 'MiddleButtonUp', 'Button4Up', 'Button5Up');
		PartyMemberFrame2PetFrame:RegisterForClicks('LeftButtonUp', 'RightButtonUp', 'MiddleButtonUp', 'Button4Up', 'Button5Up');
		PartyMemberFrame3PetFrame:RegisterForClicks('LeftButtonUp', 'RightButtonUp', 'MiddleButtonUp', 'Button4Up', 'Button5Up');
		PartyMemberFrame4PetFrame:RegisterForClicks('LeftButtonUp', 'RightButtonUp', 'MiddleButtonUp', 'Button4Up', 'Button5Up');
		self:Hook("PartyMemberPetFrame_OnClick","BlizPartyPetClick")
	end
	if getglobal("RaidPulloutButton_OnClick") then
		self:Hook("RaidPulloutButton_OnClick","BlizRaidPulloutClick")
		self:Hook("RaidGroupButton_OnClick", "BlizRaidGroupClick")
	end
end

function AceHealBliz:BlizPlayerClick(button)
	if self:OnClick(button, "player") then
		--if OnClick didn't do anything so pass control back
		return self:CallHook("PlayerFrame_OnClick", button) 
	end
end

function AceHealBliz:BlizPetClick(button)
	if self:OnClick(button, "pet") then
		--if OnClick didn't do anything so pass control back
		return self:CallHook("PetFrame_OnClick", button) 
	end
end

function AceHealBliz:BlizTargetClick(button)
	if self:OnClick(button, "target") then
		--if OnClick didn't do anything so pass control back
		return self:CallHook("TargetFrame_OnClick", button) 
	end
end

function AceHealBliz:BlizPartyClick(partyFrame)
	if ( not partyFrame ) then
		partyFrame = this
	end
	local unit = "party"..partyFrame:GetID()
	if unit then
		if self:OnClick(arg1, unit) then
			--if OnClick didn't do anything so pass control back
			return self:CallHook("PartyMemberFrame_OnClick", partyFrame) 
		end
	end
end

function AceHealBliz:BlizPartyPetClick(partypetFrame)
	if ( not partypetFrame ) then
		partypetFrame = this
	end
	local unit = "partypet"..partypetFrame:GetParent():GetID()
	if unit then
		if self:OnClick(arg1, unit) then
			--if OnClick didn't do anything so pass control back
			return self:CallHook("PartyMemberPetFrame_OnClick", partypetFrame) 
		end
	end
end

function AceHealBliz:BlizRaidPulloutClick() 
	local unit = this.unit
	-- If no unit assume that this is a manabar or healthbar and look at the parent's unit info
	if ( not unit ) then
		unit = this:GetParent().unit;
	end

	if self:OnClick(arg1, unit) then
		--if OnClick didn't do anything so pass control back
		return self:CallHook("RaidPulloutButton_OnClick") 
	end
end

function AceHealBliz:BlizRaidGroupClick(button)
	if self:OnClick(button, "raid"..this.id) then
		--if OnClick didn't do anything so pass control back
		return self:CallHook("RaidGroupButton_OnClick", button) 
	end
end

AceHealBliz:RegisterForLoad()