﻿AceHealMG = AceHeal:new({
	name          = AceHealLocals.Title ,
	description   = "AceHeal MiniGroup extension",
	version       = AceHealLocals.Version,
	releaseDate   = "01-01-2006",
	aceCompatible = "100",
	author        = "Thirsterhall / Nayala",

})

function AceHealMG:Enable()
	AceHeal:Enable(this)
	if getglobal("MiniGroup2") then
		self:Hook(MiniGroup2,"MemberOnMouseDown","MG2MouseDown")
		self:Hook(MiniGroup2,"MemberOnClick","MG2Click")
		self:Hook(MiniGroup2,"MemberOnMouseUp","MG2MouseUp")
		self.Msg("Click-Casting Enabled for MiniGroup2")
	else
		if MGFrames then
			self:Hook("MiniGroup_Member_OnClick","MGClick")
			self.Msg("Click-Casting Enabled for MiniGroup")
		end
	end
end

local MG2ClickTime = 0
local MG2HoldTime = nil

function AceHealMG:MG2Check(button)
	-- Don't trigger if moving frames
	if (not MG2HoldTime) then
		MG2HoldTime = GetTime() - MG2ClickTime
	end
	if (MG2HoldTime > 0.75) then
		if not (MiniGroup2.GetOpt("LockMGFrames")) then return nil end
	end

	if (MiniGroup2.GetOpt("CastPartyEnabled") == 0) then return nil end
	if (this:GetName() == "MGtarget" and MiniGroup2.GetOpt("CastPartyTargetEnabled") == 0) then return nil end
	local CastPartyOverrideMouse = { 
		[1] = "LeftButton",
		[2] = "RightButton",
		[3] = "MiddleButton",
		[4] = "CastPartySetting",
	}
	if (CastPartyOverrideMouse[MiniGroup2.GetOpt("CastPartyOverrideMouse")] == button) then
		--self.Msg("AceHeal: "..CastPartyOverrideMouse[MiniGroup2.GetOpt("CastPartyOverrideMouse")].." is "..button,"");
		local shift, ctrl, alt = 0, 0, 0
		if ( IsShiftKeyDown() )   then shift = 1 end
		if ( IsControlKeyDown() ) then ctrl  = 1 end
		if ( IsAltKeyDown() )     then alt   = 1 end

		if ( MiniGroup2.GetOpt("CastPartyOverrideShift") == shift
		and  MiniGroup2.GetOpt("CastPartyOverrideCtrl")  == ctrl
		and  MiniGroup2.GetOpt("CastPartyOverrideAlt")   == alt   ) then
			return nil
		end
	else
		--self.Msg("AceHeal: "..CastPartyOverrideMouse[MiniGroup2.GetOpt("CastPartyOverrideMouse")].." is not "..button,"");
	end
	local unit = string.sub(this:GetName(),3)
	if (unit and UnitExists(unit)) then return unit end
	return nil
end

function AceHealMG:MG2MouseDown(button)
	MG2ClickTime = GetTime()
	MG2HoldTime = nil
	return self:CallHook(MiniGroup2, "MemberOnMouseDown", button)
end

function AceHealMG:MG2Click(button)
	local unit = self:MG2Check(button)
	if (unit) then
		-- AceHeal handles this
		--self.Msg("AceHeal, mouse "..button.." click on unit: "..unit,"")
		if self:OnClick(button, unit) then
			-- AceHeal did nothing....
			if button == "LeftButton" then
				return MiniGroup2:LeftClick()
			elseif button == "RightButton" then
				return MiniGroup2:RightClick()
			end
		end
	else
		--self.Msg("AceHeal, mouse "..button.." click passthrough on: "..this:GetName(),"")
		return self:CallHook(MiniGroup2, "MemberOnClick", button)
	end
end

function AceHealMG:MG2MouseUp(button)
	local unit = self:MG2Check(button)
	if (unit) then
		-- AceHeal handles this
		if this.GroupStart then
			this.GroupStart:StopMovingOrSizing()
		end
		this:StopMovingOrSizing()
		--self.Msg("AceHeal, mouse "..button.." up on unit: "..unit,"")
	else
		--self.Msg("AceHeal, mouse "..button.." up passthrough on: "..this:GetName(),"")
		return self:CallHook(MiniGroup2, "MemberOnMouseUp", button)
	end
end

function AceHealMG:MGClick(button)
	local UnitFrames = {
		["MGplayer"] = "player",
		["MGparty1"] = "party1",
		["MGparty2"] = "party2",
		["MGparty3"] = "party3",
		["MGparty4"] = "party4",
		["MGpartypet1"] = "partypet1",
		["MGpartypet2"] = "partypet2",
		["MGpartypet3"] = "partypet3",
		["MGpartypet4"] = "partypet4",
		["MGpet"] = "pet",
		["MGtarget"] = "target",
		["MGtargettarget"] = "targettarget"
	}
	local unit = UnitFrames[this:GetName()]
	if self:OnClick(button, UnitFrames[this:GetName()]) then
		--if OnClick didn't do anything so pass control back to minigroup
		return self:CallHook("MiniGroup_Member_OnClick", button)
	end
end

AceHealMG:RegisterForLoad()