AceHealPCUF = AceHeal:new({
		name          = AceHealLocals.Title,
		description   = "AceHeal Perl Classic Unit Frames Extension",
		version       = AceHealLocals.Version,
		releaseDate   = "4-25-2006",
		aceCompatible = "100",
		author        = "Maximoz",

})

function AceHealPCUF:Enable()
	AceHeal:Enable(this)
	if getglobal("Perl_Player_Frame") then
			self:Hook("Perl_Player_MouseClick","PCUF_PlayerClick")
			self.Msg("Click-Casting Enabled for PCUF PlayerFrame")
	end
	if getglobal("Perl_Player_Pet_Frame") then
			self:Hook("Perl_Player_Pet_MouseClick","PCUF_PlayerPetClick")
			self.Msg("Click-Casting Enabled for PCUF PlayerPetFrame")
	end
	if getglobal("Perl_Target_Frame") then
			self:Hook("Perl_Target_MouseClick","PCUF_TargetClick")
			self.Msg("Click-Casting Enabled for PCUF TargetFrame")
	end
	if getglobal("Perl_Target_Target_Frame") then
			self:Hook("Perl_Target_Target_MouseClick","PCUF_ToTClick")
			self.Msg("Click-Casting Enabled for PCUF TargetTarget")
	end
	if getglobal("Perl_Party_Frame") then
			self:Hook("Perl_Party_MouseClick","PCUF_PartyClick")
			self.Msg("Click-Casting Enabled for PCUF PartyFrame")
	end
	if getglobal("Perl_Party_Pet1") then
			self:Hook("Perl_Party_Pet_MouseClick","PCUF_PartyPetClick")
			self.Msg("Click-Casting Enabled for PCUF PartyPetFrame")
	end
end

function AceHealPCUF:PCUF_PlayerClick(button)
	if self:OnClick(button, "player") then
			--if OnClick didn't do anything so pass control back
			return self:CallHook("Perl_Player_MouseClick", button)
	end
end

function AceHealPCUF:PCUF_PlayerPetClick(button)
	if self:OnClick(button, "pet") then
			--if OnClick didn't do anything so pass control back
			return self:CallHook("Perl_Player_Pet_MouseClick", button)
	end
end

function AceHealPCUF:PCUF_TargetClick(button)
	if self:OnClick(button, "target") then
			--if OnClick didn't do anything so pass control back
			return self:CallHook("Perl_Target_MouseClick", button)
	end
end

function AceHealPCUF:PCUF_ToTClick(button)
	if self:OnClick(button, "targettarget") then
			--if OnClick didn't do anything so pass control back
			return self:CallHook("Perl_Target_Target_MouseClick", button)
	end
end

function AceHealPCUF:PCUF_PartyClick(button)
	local id = this:GetID();
	if (id == 0) then
			local name = this:GetName();
			id = string.sub(name, 23, 23);
	end
	if self:OnClick(button, "party"..id) then
			--if OnClick didn't do anything so pass control back
			return self:CallHook("Perl_Party_MouseClick", button)
	end
end

function AceHealPCUF:PCUF_PartyPetClick(button)
	local id = string.sub(this:GetName(), 15, 15);
	
	if self:OnClick(button, "partypet"..id) then
			--if OnClick didn't do anything so pass control back
			return self:CallHook("Perl_Party_Pet_MouseClick", button)
	end
end

AceHealPCUF:RegisterForLoad()