--[[

This file contains all the flightpaths I have discovered in game.  This list is nowhere near complete, but it is a good start for most things.

If any paths are missing, please send me just the relevant snippet from your savedvariables.lua file.

Special Thanks go to:
Kharthus of Deathwing (US)		- Thanks for supplying the 1.10 alliance flight data.

]]

EFMDATA_CLEAR_ON_LOAD	= false;
EFMDATABASE_VERSION	= 2.0;
EFMDATA_PRECISION		= 3;

-- Blank Un-localised data.
Default_EFM_Data_Horde = {
	["HordeVersion"] = 0.05,
	["Horde"] = {
		[1] = {
			[1] = {
				["0.554:0.582"] = {
					["fmLoc"] = "0.554:0.582",
					["timers"] = {
						["5~0.316:0.415"] = 503,
						["12~0.628:0.556"] = 97,
						["14~0.407:0.527"] = 311,
						["7~0.567:0.358"] = 324,
						["19~0.449:0.438"] = 344,
						["17~0.557:0.469"] = 162,
						["1~0.409:0.626"] = 168,
					},
					["mapLoc"] = "73.21:61.62",
					["enUS"] = "Splintertree Post, Ashenvale",
					["routes"] = {
						[1] = "12~0.628:0.556",
						[2] = "17~0.557:0.469",
						[3] = "1~0.409:0.626",
					},
				},
				["0.409:0.626"] = {
					["fmLoc"] = "0.409:0.626",
					["timers"] = {
						["10~0.537:0.794"] = 711,
						["12~0.628:0.556"] = 258,
						["17~0.557:0.469"] = 229,
						["1~0.554:0.582"] = 168,
					},
					["mapLoc"] = "12.19:33.77",
					["enUS"] = "Zoram'gar Outpost, Ashenvale",
					["routes"] = {
						[1] = "1~0.554:0.582",
						[2] = "17~0.557:0.469",
					},
				},
			},
			[2] = {
				["0.631:0.638"] = {
					["fmLoc"] = "0.631:0.638",
					["timers"] = {
						["10~0.537:0.794"] = 350,
						["12~0.628:0.556"] = 121,
						["14~0.407:0.527"] = 323,
						["1~0.554:0.582"] = 211,
						["19~0.449:0.438"] = 258,
						["17~0.557:0.469"] = 173,
						["8~0.464:0.695"] = 233,
					},
					["mapLoc"] = "21.95:49.69",
					["enUS"] = "Valormok, Azshara",
					["routes"] = {
						[1] = "12~0.628:0.556",
						[2] = "17~0.557:0.469",
						[3] = "19~0.449:0.438",
						[4] = "8~0.464:0.695",
					},
				},
			},
			[5] = {
				["0.316:0.415"] = {
					["fmLoc"] = "0.316:0.415",
					["enUS"] = "Shadowprey Village, Desolace",
					["mapLoc"] = "21.59:74.04",
					["routes"] = {
						[1] = "14~0.407:0.527",
						[2] = "19~0.449:0.438",
						[3] = "9~0.442:0.306",
					},
					["timers"] = {
						["19~0.449:0.438"] = 173,
						["12~0.628:0.556"] = 387,
						["15~0.606:0.198"] = 402,
						["17~0.557:0.469"] = 338,
						["14~0.407:0.527"] = 200,
						["9~0.442:0.306"] = 198,
					},
				},
			},
			[7] = {
				["0.567:0.358"] = {
					["routes"] = {
						[1] = "12~0.628:0.556",
						[2] = "17~0.557:0.469",
						[3] = "15~0.606:0.198",
						[4] = "19~0.449:0.438",
					},
					["enUS"] = "Brackenwall Village, Dustwallow Marsh",
					["mapLoc"] = "35.56:31.83",
					["timers"] = {
						["5~0.316:0.415"] = 385,
						["12~0.628:0.556"] = 218,
						["18~0.549:0.265"] = 310,
						["9~0.442:0.306"] = 478,
						["19~0.449:0.438"] = 226,
						["15~0.606:0.198"] = 223,
						["17~0.557:0.469"] = 164,
						["17~0.528:0.389"] = 253,
						["1~0.554:0.582"] = 325,
					},
					["fmLoc"] = "0.567:0.358",
				},
			},
			[8] = {
				["0.464:0.695"] = {
					["routes"] = {
						[1] = "12~0.628:0.556",
						[2] = "17~0.557:0.469",
						[3] = "10~0.537:0.794",
						[4] = "21~0.64:0.767",
						[5] = "2~0.631:0.638",
					},
					["enUS"] = "Bloodvenom Post, Felwood",
					["mapLoc"] = "34.42:53.88",
					["timers"] = {
						["10~0.537:0.794"] = 167,
						["12~0.628:0.556"] = 260,
						["17~0.557:0.469"] = 241,
						["21~0.64:0.767"] = 188,
						["17~0.528:0.389"] = 333,
						["2~0.631:0.638"] = 242,
					},
					["fmLoc"] = "0.464:0.695",
				},
			},
			[9] = {
				["0.442:0.306"] = {
					["fmLoc"] = "0.442:0.306",
					["timers"] = {
						["5~0.316:0.415"] = 202,
						["10~0.537:0.794"] = 641,
						["12~0.628:0.556"] = 408,
						["15~0.606:0.198"] = 202,
						["17~0.557:0.469"] = 266,
						["19~0.449:0.438"] = 261,
					},
					["mapLoc"] = "75.43:44.33",
					["enUS"] = "Camp Mojache, Feralas",
					["routes"] = {
						[1] = "17~0.557:0.469",
						[2] = "15~0.606:0.198",
						[3] = "19~0.449:0.438",
						[4] = "5~0.316:0.415",
					},
				},
			},
			[10] = {
				["0.537:0.794"] = {
					["routes"] = {
						[1] = "21~0.64:0.767",
						[2] = "8~0.464:0.695",
					},
					["enUS"] = "Moonglade",
					["mapLoc"] = "32.19:66.36",
					["timers"] = {
						["5~0.316:0.415"] = 695,
						["21~0.64:0.767"] = 144,
						["12~0.628:0.556"] = 448,
						["8~0.464:0.695"] = 158,
						["19~0.449:0.438"] = 537,
						["2~0.631:0.638"] = 347,
					},
					["fmLoc"] = "0.537:0.794",
				},
			},
			[12] = {
				["0.628:0.556"] = {
					["fmLoc"] = "0.628:0.556",
					["timers"] = {
						["5~0.316:0.415"] = 386,
						["21~0.64:0.767"] = 321,
						["7~0.567:0.358"] = 229,
						["9~0.442:0.306"] = 362,
						["17~0.528:0.389"] = 202,
						["13~0.416:0.207"] = 649,
						["15~0.606:0.198"] = 418,
						["17~0.557:0.469"] = 111,
						["1~0.409:0.626"] = 250,
						["8~0.464:0.695"] = 254,
						["14~0.407:0.527"] = 261,
						["19~0.449:0.438"] = 227,
						["10~0.537:0.794"] = 455,
						["18~0.549:0.265"] = 296,
						["2~0.631:0.638"] = 100,
						["1~0.554:0.582"] = 90,
					},
					["mapLoc"] = "45.24:64.05",
					["enUS"] = "Orgrimmar, Durotar",
					["routes"] = {
						[1] = "7~0.567:0.358",
						[2] = "15~0.606:0.198",
						[3] = "8~0.464:0.695",
						[4] = "1~0.554:0.582",
						[5] = "21~0.64:0.767",
						[6] = "19~0.449:0.438",
						[7] = "17~0.557:0.469",
						[8] = "2~0.631:0.638",
					},
				},
			},
			[13] = {
				["0.416:0.207"] = {
					["fmLoc"] = "0.416:0.207",
					["timers"] = {
						["1~0.409:0.626"] = 771,
						["12~0.628:0.556"] = 592,
						["15~0.606:0.198"] = 242,
						["19~0.449:0.438"] = 545,
						["18~0.549:0.265"] = 329,
						["7~0.567:0.358"] = 466,
					},
					["mapLoc"] = "48.76:36.63",
					["enUS"] = "Cenarion Hold, Silithus",
					["routes"] = {
						[1] = "15~0.606:0.198",
					},
				},
			},
			[14] = {
				["0.407:0.527"] = {
					["routes"] = {
						[1] = "19~0.449:0.438",
						[2] = "17~0.557:0.469",
						[3] = "5~0.316:0.415",
					},
					["enUS"] = "Sun Rock Retreat, Stonetalon Mountains",
					["mapLoc"] = "45.15:59.88",
					["timers"] = {
						["5~0.316:0.415"] = 145,
						["19~0.449:0.438"] = 176,
						["17~0.557:0.469"] = 150,
						["2~0.631:0.638"] = 318,
						["1~0.554:0.582"] = 314,
					},
					["fmLoc"] = "0.407:0.527",
				},
			},
			[15] = {
				["0.606:0.198"] = {
					["fmLoc"] = "0.606:0.198",
					["timers"] = {
						["12~0.628:0.556"] = 351,
						["18~0.549:0.265"] = 88,
						["9~0.442:0.306"] = 200,
						["19~0.449:0.438"] = 306,
						["13~0.416:0.207"] = 233,
						["17~0.557:0.469"] = 302,
						["7~0.567:0.358"] = 223,
					},
					["mapLoc"] = "51.6:25.51",
					["enUS"] = "Gadgetzan, Tanaris",
					["routes"] = {
						[1] = "7~0.567:0.358",
						[2] = "12~0.628:0.556",
						[3] = "17~0.557:0.469",
						[4] = "9~0.442:0.306",
						[5] = "19~0.449:0.438",
						[6] = "13~0.416:0.207",
						[7] = "18~0.549:0.265",
					},
				},
			},
			[19] = {
				["0.449:0.438"] = {
					["fmLoc"] = "0.449:0.438",
					["timers"] = {
						["5~0.316:0.415"] = 160,
						["12~0.628:0.556"] = 208,
						["14~0.407:0.527"] = 183,
						["7~0.567:0.358"] = 240,
						["2~0.631:0.638"] = 271,
						["17~0.528:0.389"] = 88,
						["15~0.606:0.198"] = 290,
						["17~0.557:0.469"] = 160,
						["9~0.442:0.306"] = 253,
						["18~0.549:0.265"] = 205,
						["1~0.554:0.582"] = 323,
					},
					["mapLoc"] = "46.67:49.68",
					["enUS"] = "Thunder Bluff, Mulgore",
					["routes"] = {
						[1] = "14~0.407:0.527",
						[2] = "9~0.442:0.306",
						[3] = "15~0.606:0.198",
						[4] = "18~0.549:0.265",
						[5] = "12~0.628:0.556",
						[6] = "17~0.557:0.469",
						[7] = "17~0.528:0.389",
						[8] = "7~0.567:0.358",
						[9] = "5~0.316:0.415",
						[10] = "2~0.631:0.638",
					},
				},
			},
			[17] = {
				["0.557:0.469"] = {
					["routes"] = {
						[1] = "14~0.407:0.527",
						[2] = "9~0.442:0.306",
						[3] = "15~0.606:0.198",
						[4] = "1~0.409:0.626",
						[5] = "18~0.549:0.265",
						[6] = "8~0.464:0.695",
						[7] = "1~0.554:0.582",
						[8] = "17~0.528:0.389",
						[9] = "7~0.567:0.358",
						[10] = "19~0.449:0.438",
						[11] = "12~0.628:0.556",
						[12] = "2~0.631:0.638",
					},
					["enUS"] = "Crossroads, The Barrens",
					["mapLoc"] = "51.52:30.35",
					["timers"] = {
						["5~0.316:0.415"] = 342,
						["1~0.409:0.626"] = 232,
						["12~0.628:0.556"] = 143,
						["14~0.407:0.527"] = 151,
						["7~0.567:0.358"] = 164,
						["1~0.554:0.582"] = 164,
						["9~0.442:0.306"] = 252,
						["17~0.528:0.389"] = 91,
						["13~0.416:0.207"] = 536,
						["15~0.606:0.198"] = 303,
						["8~0.464:0.695"] = 254,
						["19~0.449:0.438"] = 183,
						["18~0.549:0.265"] = 186,
						["2~0.631:0.638"] = 169,
					},
					["fmLoc"] = "0.557:0.469",
				},
				["0.528:0.389"] = {
					["routes"] = {
						[1] = "19~0.449:0.438",
						[2] = "17~0.557:0.469",
						[3] = "18~0.549:0.265",
					},
					["enUS"] = "Camp Taurajo, The Barrens",
					["mapLoc"] = "44.46:59.1",
					["timers"] = {
						["19~0.449:0.438"] = 115,
						["12~0.628:0.556"] = 226,
						["15~0.606:0.198"] = 219,
						["17~0.557:0.469"] = 84,
						["18~0.549:0.265"] = 127,
						["7~0.567:0.358"] = 246,
					},
					["fmLoc"] = "0.528:0.389",
				},
			},
			[21] = {
				["0.64:0.767"] = {
					["routes"] = {
						[1] = "12~0.628:0.556",
						[2] = "8~0.464:0.695",
						[3] = "10~0.537:0.794",
					},
					["enUS"] = "Everlook, Winterspring",
					["mapLoc"] = "60.49:36.33",
					["timers"] = {
						["10~0.537:0.794"] = 140,
						["12~0.628:0.556"] = 305,
						["15~0.606:0.198"] = 723,
						["13~0.416:0.207"] = 957,
						["8~0.464:0.695"] = 196,
					},
					["fmLoc"] = "0.64:0.767",
				},
			},
			[18] = {
				["0.549:0.265"] = {
					["fmLoc"] = "0.549:0.265",
					["timers"] = {
						["9~0.442:0.306"] = 292,
						["17~0.528:0.389"] = 138,
						["13~0.416:0.207"] = 326,
						["15~0.606:0.198"] = 93,
						["17~0.557:0.469"] = 195,
						["19~0.449:0.438"] = 227,
						["1~0.554:0.582"] = 356,
					},
					["mapLoc"] = "45.04:49.13",
					["enUS"] = "Freewind Post, Thousand Needles",
					["routes"] = {
						[1] = "17~0.557:0.469",
						[2] = "17~0.528:0.389",
						[3] = "15~0.606:0.198",
						[4] = "19~0.449:0.438",
					},
				},
			},
			["mapKnown"] = {
				[1] = "Camp Taurajo, The Barrens",
				[2] = "Freewind Post, Thousand Needles",
				[3] = "Gadgetzan, Tanaris",
				[4] = "Cenarion Hold, Silithus",
				[5] = "Camp Mojache, Feralas",
				[6] = "Shadowprey Village, Desolace",
				[7] = "Thunder Bluff, Mulgore",
				[8] = "Crossroads, The Barrens",
				[9] = "Sun Rock Retreat, Stonetalon Mountains",
				[10] = "Zoram'gar Outpost, Ashenvale",
				[11] = "Splintertree Post, Ashenvale",
				[12] = "Orgrimmar, Durotar",
				[13] = "Valormok, Azshara",
				[14] = "Moonglade",
				[15] = "Bloodvenom Post, Felwood",
				[16] = "Everlook, Winterspring",
				[17] = "Brackenwall Village, Dustwallow Marsh",
				[18] = "Nighthaven, Moonglade",
			},
		},
		[2] = {
			[2] = {
				["0.615:0.691"] = {
					["routes"] = {
						[1] = "11~0.494:0.733",
						[2] = "3~0.554:0.428",
						[3] = "22~0.442:0.805",
					},
					["timers"] = {
						["3~0.554:0.428"] = 261,
						["20~0.671:0.703"] = 312,
						["16~0.384:0.755"] = 216,
						["9~0.697:0.839"] = 444,
						["18~0.448:0.163"] = 573,
						["19~0.605:0.253"] = 540,
						["18~0.431:0.07"] = 677,
						["22~0.442:0.805"] = 262,
						["11~0.494:0.733"] = 117,
					},
					["mapLoc"] = "73:32.71",
					["fmLoc"] = "0.615:0.691",
					["enUS"] = "Hammerfall, Arathi",
				},
			},
			[3] = {
				["0.554:0.428"] = {
					["routes"] = {
						[1] = "18~0.431:0.07",
						[2] = "2~0.615:0.691",
						[3] = "18~0.448:0.163",
						[4] = "5~0.555:0.388",
						[5] = "15~0.505:0.432",
						[6] = "19~0.605:0.253",
						[7] = "22~0.442:0.805",
					},
					["timers"] = {
						["15~0.505:0.432"] = 57,
						["18~0.448:0.163"] = 314,
						["18~0.431:0.07"] = 418,
						["5~0.555:0.388"] = 88,
						["9~0.697:0.839"] = 688,
						["16~0.384:0.755"] = 532,
						["22~0.442:0.805"] = 499,
						["11~0.494:0.733"] = 380,
						["2~0.615:0.691"] = 264,
						["19~0.605:0.253"] = 282,
					},
					["mapLoc"] = "4.05:44.88",
					["fmLoc"] = "0.554:0.428",
					["enUS"] = "Kargath, Badlands",
				},
			},
			["mapKnown"] = {
				[1] = "Undercity, Tirisfal",
				[2] = "Stonard, Swamp of Sorrows",
				[3] = "Booty Bay, Stranglethorn",
				[4] = "Grom'gol, Stranglethorn",
				[5] = "Kargath, Badlands",
				[6] = "Flame Crest, Burning Steppes",
				[7] = "Thorium Point, Searing Gorge",
				[8] = "Tarren Mill, Hillsbrad",
				[9] = "Light's Hope Chapel, Eastern Plaguelands",
				[10] = "Sepulcher, Silverpine",
				[11] = "Revantusk Village, The Hinterlands",
				[12] = "Hammerfall, Arathi",
			},
			[15] = {
				["0.505:0.432"] = {
					["routes"] = {
						[1] = "5~0.555:0.388",
						[2] = "3~0.554:0.428",
					},
					["timers"] = {
						["19~0.605:0.253"] = 288,
						["3~0.554:0.428"] = 71,
						["18~0.431:0.07"] = 487,
						["5~0.555:0.388"] = 77,
					},
					["mapLoc"] = "34.76:30.92",
					["fmLoc"] = "0.505:0.432",
					["enUS"] = "Thorium Point, Searing Gorge",
				},
			},
			[16] = {
				["0.384:0.755"] = {
					["routes"] = {
						[1] = "11~0.494:0.733",
						[2] = "22~0.442:0.805",
					},
					["timers"] = {
						["11~0.494:0.733"] = 96,
						["3~0.554:0.428"] = 536,
						["22~0.442:0.805"] = 124,
						["20~0.671:0.703"] = 290,
						["2~0.615:0.691"] = 211,
						["9~0.697:0.839"] = 311,
					},
					["mapLoc"] = "45.57:42.59",
					["fmLoc"] = "0.384:0.755",
					["enUS"] = "Sepulcher, Silverpine",
				},
			},
			[11] = {
				["0.494:0.733"] = {
					["routes"] = {
						[1] = "2~0.615:0.691",
						[2] = "20~0.671:0.703",
						[3] = "16~0.384:0.755",
						[4] = "22~0.442:0.805",
					},
					["timers"] = {
						["15~0.505:0.432"] = 160,
						["3~0.554:0.428"] = 370,
						["20~0.671:0.703"] = 194,
						["16~0.384:0.755"] = 101,
						["9~0.697:0.839"] = 326,
						["22~0.442:0.805"] = 140,
						["2~0.615:0.691"] = 115,
					},
					["mapLoc"] = "60.2:18.75",
					["fmLoc"] = "0.494:0.733",
					["enUS"] = "Tarren Mill, Hillsbrad",
				},
			},
			[18] = {
				["0.448:0.163"] = {
					["routes"] = {
						[1] = "18~0.431:0.07",
						[2] = "19~0.605:0.253",
						[3] = "3~0.554:0.428",
					},
					["timers"] = {
						["15~0.505:0.432"] = 384,
						["3~0.554:0.428"] = 328,
						["18~0.431:0.07"] = 82,
						["5~0.555:0.388"] = 404,
						["19~0.605:0.253"] = 209,
						["2~0.615:0.691"] = 590,
						["16~0.384:0.755"] = 859,
					},
					["mapLoc"] = "32.52:29.3",
					["fmLoc"] = "0.448:0.163",
					["enUS"] = "Grom'gol, Stranglethorn",
				},
				["0.431:0.07"] = {
					["fmLoc"] = "0.431:0.07",
					["enUS"] = "Booty Bay, Stranglethorn",
					["mapLoc"] = "26.83:77.08",
					["routes"] = {
						[1] = "19~0.605:0.253",
						[2] = "18~0.448:0.163",
						[3] = "3~0.554:0.428",
					},
					["timers"] = {
						["15~0.505:0.432"] = 463,
						["3~0.554:0.428"] = 408,
						["5~0.555:0.388"] = 465,
						["19~0.605:0.253"] = 268,
						["11~0.494:0.733"] = 786,
						["22~0.442:0.805"] = 905,
						["2~0.615:0.691"] = 669,
						["18~0.448:0.163"] = 102,
					},
				},
			},
			[19] = {
				["0.605:0.253"] = {
					["fmLoc"] = "0.605:0.253",
					["timers"] = {
						["15~0.505:0.432"] = 270,
						["3~0.554:0.428"] = 286,
						["18~0.448:0.163"] = 191,
						["18~0.431:0.07"] = 261,
						["22~0.442:0.805"] = 783,
						["5~0.555:0.388"] = 198,
					},
					["mapLoc"] = "46.05:54.67",
					["enUS"] = "Stonard, Swamp of Sorrows",
					["routes"] = {
						[1] = "18~0.431:0.07",
						[2] = "18~0.448:0.163",
						[3] = "3~0.554:0.428",
						[4] = "5~0.555:0.388",
					},
				},
			},
			[20] = {
				["0.671:0.703"] = {
					["routes"] = {
						[1] = "11~0.494:0.733",
						[2] = "22~0.442:0.805",
					},
					["timers"] = {
						["11~0.494:0.733"] = 159,
						["2~0.615:0.691"] = 273,
						["22~0.442:0.805"] = 286,
						["16~0.384:0.755"] = 259,
					},
					["mapLoc"] = "81.68:81.85",
					["fmLoc"] = "0.671:0.703",
					["enUS"] = "Revantusk Village, The Hinterlands",
				},
			},
			[5] = {
				["0.555:0.388"] = {
					["routes"] = {
						[1] = "15~0.505:0.432",
						[2] = "19~0.605:0.253",
						[3] = "3~0.554:0.428",
					},
					["timers"] = {
						["15~0.505:0.432"] = 73,
						["3~0.554:0.428"] = 101,
						["18~0.431:0.07"] = 473,
						["11~0.494:0.733"] = 478,
						["19~0.605:0.253"] = 214,
						["9~0.697:0.839"] = 787,
						["2~0.615:0.691"] = 363,
						["22~0.442:0.805"] = 598,
						["18~0.448:0.163"] = 403,
					},
					["mapLoc"] = "65.57:24.21",
					["fmLoc"] = "0.555:0.388",
					["enUS"] = "Flame Crest, Burning Steppes",
				},
			},
			[22] = {
				["0.442:0.805"] = {
					["fmLoc"] = "0.442:0.805",
					["timers"] = {
						["15~0.505:0.432"] = 544,
						["18~0.448:0.163"] = 801,
						["20~0.671:0.703"] = 284,
						["16~0.384:0.755"] = 107,
						["19~0.605:0.253"] = 771,
						["18~0.431:0.07"] = 906,
						["3~0.554:0.428"] = 489,
						["11~0.494:0.733"] = 141,
						["9~0.697:0.839"] = 263,
						["2~0.615:0.691"] = 298,
						["5~0.555:0.388"] = 575,
					},
					["mapLoc"] = "63.59:48.77",
					["enUS"] = "Undercity, Tirisfal",
					["routes"] = {
						[1] = "2~0.615:0.691",
						[2] = "20~0.671:0.703",
						[3] = "3~0.554:0.428",
						[4] = "9~0.697:0.839",
						[5] = "11~0.494:0.733",
						[6] = "16~0.384:0.755",
					},
				},
			},
			[9] = {
				["0.697:0.839"] = {
					["fmLoc"] = "0.697:0.839",
					["enUS"] = "Light's Hope Chapel, Eastern Plaguelands",
					["mapLoc"] = "80.12:57.04",
					["routes"] = {
						[1] = "22~0.442:0.805",
					},
					["timers"] = {
						["3~0.554:0.428"] = 674,
						["20~0.671:0.703"] = 468,
						["16~0.384:0.755"] = 296,
						["11~0.494:0.733"] = 328,
						["2~0.615:0.691"] = 486,
						["22~0.442:0.805"] = 262,
						["5~0.555:0.388"] = 760,
					},
				},
			},
		},
	},
}

-- Alliance Data - contains user-submitted data.
Default_EFM_Data_Alliance = {
	["AllianceVersion"] = 0.1,
	["Alliance"] = {
		[1] = {
			[1] = {
				["0.462:0.603"] = {
					["routes"] = {
						[1] = "14~0.39:0.597",
						[2] = "3~0.427:0.748",
					},
					["enUS"] = "Astranaar, Ashenvale",
					["mapLoc"] = "34.49:48.01",
					["timers"] = {
						["14~0.39:0.597"] = 155,
						["3~0.427:0.748"] = 148,
					},
					["fmLoc"] = "0.462:0.603",
				},
			},
			[2] = {
				["0.61:0.599"] = {
					["fmLoc"] = "0.61:0.599",
					["timers"] = {
						["3~0.427:0.748"] = 303,
						["21~0.645:0.767"] = 180,
						["7~0.636:0.33"] = 243,
						["8~0.53:0.742"] = 285,
					},
					["mapLoc"] = "11.92:77.47",
					["enUS"] = "Talrendis Point, Azshara",
					["routes"] = {
						[1] = "7~0.636:0.33",
						[2] = "21~0.645:0.767",
						[3] = "3~0.427:0.748",
						[4] = "8~0.53:0.742",
					},
				},
			},
			[3] = {
				["0.427:0.748"] = {
					["fmLoc"] = "0.427:0.748",
					["timers"] = {
						["14~0.39:0.597"] = 182,
						["7~0.636:0.33"] = 677,
						["8~0.53:0.742"] = 191,
						["10~0.552:0.793"] = 152,
						["5~0.396:0.493"] = 291,
						["2~0.61:0.599"] = 301,
						["9~0.313:0.307"] = 474,
						["1~0.462:0.603"] = 177,
						["16~0.416:0.842"] = 86,
					},
					["mapLoc"] = "36.38:45.6",
					["enUS"] = "Auberdine, Darkshore",
					["routes"] = {
						[1] = "16~0.416:0.842",
						[2] = "14~0.39:0.597",
						[3] = "7~0.636:0.33",
						[4] = "10~0.552:0.793",
						[5] = "2~0.61:0.599",
						[6] = "8~0.53:0.742",
						[7] = "9~0.313:0.307",
						[8] = "1~0.462:0.603",
						[9] = "5~0.396:0.493",
					},
				},
			},
			[5] = {
				["0.396:0.493"] = {
					["fmLoc"] = "0.396:0.493",
					["timers"] = {
						["9~0.313:0.307"] = 232,
						["3~0.427:0.748"] = 282,
						["7~0.636:0.33"] = 308,
					},
					["mapLoc"] = "64.67:10.43",
					["enUS"] = "Nijel's Point, Desolace",
					["routes"] = {
						[1] = "3~0.427:0.748",
						[2] = "7~0.636:0.33",
						[3] = "9~0.313:0.307",
					},
				},
			},
			[7] = {
				["0.636:0.33"] = {
					["fmLoc"] = "0.636:0.33",
					["timers"] = {
						["15~0.604:0.19"] = 158,
						["3~0.427:0.748"] = 622,
						["2~0.61:0.599"] = 236,
						["9~0.482:0.303"] = 165,
						["13~0.418:0.209"] = 355,
						["5~0.396:0.493"] = 336,
					},
					["mapLoc"] = "67.47:51.27",
					["enUS"] = "Theramore, Dustwallow Marsh",
					["routes"] = {
						[1] = "5~0.396:0.493",
						[2] = "15~0.604:0.19",
						[3] = "2~0.61:0.599",
						[4] = "3~0.427:0.748",
						[5] = "9~0.482:0.303",
					},
				},
			},
			[8] = {
				["0.53:0.742"] = {
					["fmLoc"] = "0.53:0.742",
					["enUS"] = "Talonbranch Glade, Felwood",
					["mapLoc"] = "62.46:24.16",
					["routes"] = {
						[1] = "21~0.645:0.767",
						[2] = "2~0.61:0.599",
						[3] = "3~0.427:0.748",
					},
					["timers"] = {
						["3~0.427:0.748"] = 188,
						["2~0.61:0.599"] = 283,
						["21~0.645:0.767"] = 122,
					},
				},
			},
			[9] = {
				["0.313:0.307"] = {
					["fmLoc"] = "0.313:0.307",
					["timers"] = {
						["3~0.427:0.748"] = 469,
						["5~0.396:0.493"] = 229,
						["9~0.482:0.303"] = 155,
					},
					["mapLoc"] = "30.24:43.28",
					["enUS"] = "Feathermoon, Feralas",
					["routes"] = {
						[1] = "5~0.396:0.493",
						[2] = "9~0.482:0.303",
						[3] = "3~0.427:0.748",
					},
				},
				["0.482:0.303"] = {
					["fmLoc"] = "0.482:0.303",
					["timers"] = {
						["9~0.313:0.307"] = 179,
						["7~0.636:0.33"] = 160,
						["15~0.604:0.19"] = 172,
					},
					["mapLoc"] = "89.46:45.86",
					["enUS"] = "Thalanaar, Feralas",
					["routes"] = {
						[1] = "15~0.604:0.19",
						[2] = "7~0.636:0.33",
						[3] = "9~0.313:0.307",
					},
				},
			},
			[10] = {
				["0.552:0.793"] = {
					["fmLoc"] = "0.552:0.793",
					["enUS"] = "Moonglade",
					["mapLoc"] = "47.96:67.39",
					["routes"] = {
						[1] = "21~0.645:0.767",
						[2] = "3~0.427:0.748",
					},
					["timers"] = {
						["21~0.645:0.767"] = 131,
						["3~0.427:0.748"] = 143,
					},
				},
			},
			[13] = {
				["0.418:0.209"] = {
					["fmLoc"] = "0.418:0.209",
					["timers"] = {
						["15~0.604:0.19"] = 190,
						["7~0.636:0.33"] = 347,
					},
					["mapLoc"] = "50.63:34.48",
					["enUS"] = "Cenarion Hold, Silithus",
					["routes"] = {
						[1] = "15~0.604:0.19",
					},
				},
			},
			[14] = {
				["0.39:0.597"] = {
					["fmLoc"] = "0.39:0.597",
					["enUS"] = "Stonetalon Peak, Stonetalon Mountains",
					["mapLoc"] = "36.53:7.23",
					["routes"] = {
						[1] = "1~0.462:0.603",
						[2] = "3~0.427:0.748",
					},
					["timers"] = {
						["1~0.462:0.603"] = 156,
						["3~0.427:0.748"] = 179,
					},
				},
			},
			[15] = {
				["0.604:0.19"] = {
					["fmLoc"] = "0.604:0.19",
					["timers"] = {
						["9~0.482:0.303"] = 178,
						["13~0.418:0.209"] = 198,
						["7~0.636:0.33"] = 158,
					},
					["mapLoc"] = "51.05:29.33",
					["enUS"] = "Gadgetzan, Tanaris",
					["routes"] = {
						[1] = "13~0.418:0.209",
						[2] = "7~0.636:0.33",
						[3] = "9~0.482:0.303",
					},
				},
			},
			[16] = {
				["0.416:0.842"] = {
					["fmLoc"] = "0.416:0.842",
					["timers"] = {
						["1~0.462:0.603"] = 262,
						["3~0.427:0.748"] = 85,
					},
					["mapLoc"] = "58.36:93.99",
					["enUS"] = "Rut'theran Village, Teldrassil",
					["routes"] = {
						[1] = "3~0.427:0.748",
					},
				},
			},
			["mapKnown"] = {
				[1] = "Theramore, Dustwallow Marsh",
				[2] = "Gadgetzan, Tanaris",
				[3] = "Cenarion Hold, Silithus",
				[4] = "Talrendis Point, Azshara",
				[5] = "Auberdine, Darkshore",
				[6] = "Rut'theran Village, Teldrassil",
				[7] = "Astranaar, Ashenvale",
				[8] = "Thalanaar, Feralas",
				[9] = "Feathermoon, Feralas",
				[10] = "Nijel's Point, Desolace",
				[11] = "Stonetalon Peak, Stonetalon Mountains",
				[12] = "Talonbranch Glade, Felwood",
				[13] = "Everlook, Winterspring",
				[14] = "Moonglade",
			},
			[21] = {
				["0.645:0.767"] = {
					["fmLoc"] = "0.645:0.767",
					["enUS"] = "Everlook, Winterspring",
					["mapLoc"] = "62.33:36.63",
					["routes"] = {
						[1] = "2~0.61:0.599",
						[2] = "8~0.53:0.742",
						[3] = "10~0.552:0.793",
					},
					["timers"] = {
						["10~0.552:0.793"] = 122,
						["2~0.61:0.599"] = 167,
						["8~0.53:0.742"] = 123,
					},
				},
			},
		},
		[2] = {
			[2] = {
				["0.57:0.676"] = {
					["fmLoc"] = "0.57:0.676",
					["timers"] = {
						["13~0.589:0.484"] = 171,
						["25~0.49:0.559"] = 127,
						["20~0.546:0.746"] = 72,
						["12~0.507:0.511"] = 270,
						["11~0.478:0.7"] = 88,
					},
					["mapLoc"] = "45.79:46.13",
					["enUS"] = "Refuge Pointe, Arathi",
					["routes"] = {
						[1] = "13~0.589:0.484",
						[2] = "12~0.507:0.511",
						[3] = "20~0.546:0.746",
						[4] = "25~0.49:0.559",
						[5] = "11~0.478:0.7",
					},
				},
			},
			[4] = {
				["0.612:0.223"] = {
					["fmLoc"] = "0.612:0.223",
					["timers"] = {
						["8~0.512:0.25"] = 93,
						["17~0.432:0.327"] = 190,
						["5~0.58:0.349"] = 207,
					},
					["mapLoc"] = "65.49:24.42",
					["enUS"] = "Nethergarde Keep, Blasted Lands",
					["routes"] = {
						[1] = "8~0.512:0.25",
						[2] = "5~0.58:0.349",
						[3] = "17~0.432:0.327",
					},
				},
			},
			[5] = {
				["0.58:0.349"] = {
					["fmLoc"] = "0.58:0.349",
					["timers"] = {
						["15~0.508:0.432"] = 104,
						["17~0.432:0.327"] = 153,
						["4~0.612:0.223"] = 211,
					},
					["mapLoc"] = "84.36:68.34",
					["enUS"] = "Morgan's Vigil, Burning Steppes",
					["routes"] = {
						[1] = "4~0.612:0.223",
						[2] = "15~0.508:0.432",
						[3] = "17~0.432:0.327",
					},
				},
			},
			[8] = {
				["0.512:0.25"] = {
					["fmLoc"] = "0.512:0.25",
					["timers"] = {
						["18~0.433:0.069"] = 173,
						["17~0.432:0.327"] = 89,
						["4~0.612:0.223"] = 98,
						["14~0.557:0.3"] = 60,
						["24~0.407:0.245"] = 94,
					},
					["mapLoc"] = "77.59:44.37",
					["enUS"] = "Darkshire, Duskwood",
					["routes"] = {
						[1] = "18~0.433:0.069",
						[2] = "24~0.407:0.245",
						[3] = "4~0.612:0.223",
						[4] = "14~0.557:0.3",
						[5] = "17~0.432:0.327",
					},
				},
			},
			[9] = {
				["0.699:0.837"] = {
					["fmLoc"] = "0.699:0.837",
					["enUS"] = "Light's Hope Chapel, Eastern Plaguelands",
					["mapLoc"] = "81.53:59.21",
					["routes"] = {
						[1] = "23~0.52:0.775",
						[2] = "20~0.546:0.746",
						[3] = "12~0.507:0.511",
					},
					["timers"] = {
						["20~0.546:0.746"] = 164,
						["12~0.507:0.511"] = 369,
						["23~0.52:0.775"] = 150,
					},
				},
			},
			[11] = {
				["0.478:0.7"] = {
					["routes"] = {
						[1] = "25~0.49:0.559",
						[2] = "12~0.507:0.511",
						[3] = "20~0.546:0.746",
						[4] = "23~0.52:0.775",
						[5] = "2~0.57:0.676",
					},
					["enUS"] = "Southshore, Hillsbrad",
					["mapLoc"] = "49.44:52.1",
					["timers"] = {
						["23~0.52:0.775"] = 81,
						["25~0.49:0.559"] = 109,
						["2~0.57:0.676"] = 75,
						["12~0.507:0.511"] = 207,
						["20~0.546:0.746"] = 73,
					},
					["fmLoc"] = "0.478:0.7",
				},
			},
			[12] = {
				["0.507:0.511"] = {
					["routes"] = {
						[1] = "11~0.478:0.7",
						[2] = "15~0.508:0.432",
						[3] = "25~0.49:0.559",
						[4] = "13~0.589:0.484",
						[5] = "2~0.57:0.676",
						[6] = "9~0.699:0.837",
						[7] = "20~0.546:0.746",
						[8] = "23~0.52:0.775",
						[9] = "17~0.432:0.327",
					},
					["enUS"] = "Ironforge, Dun Morogh",
					["mapLoc"] = "55.19:47.2",
					["timers"] = {
						["13~0.589:0.484"] = 102,
						["2~0.57:0.676"] = 254,
						["9~0.699:0.837"] = 349,
						["15~0.508:0.432"] = 87,
						["11~0.478:0.7"] = 267,
						["25~0.49:0.559"] = 130,
						["17~0.432:0.327"] = 211,
						["23~0.52:0.775"] = 290,
						["20~0.546:0.746"] = 307,
					},
					["fmLoc"] = "0.507:0.511",
				},
			},
			[13] = {
				["0.589:0.484"] = {
					["fmLoc"] = "0.589:0.484",
					["timers"] = {
						["25~0.49:0.559"] = 154,
						["2~0.57:0.676"] = 165,
						["12~0.507:0.511"] = 114,
					},
					["mapLoc"] = "33.95:50.91",
					["enUS"] = "Thelsamar, Loch Modan",
					["routes"] = {
						[1] = "25~0.49:0.559",
						[2] = "12~0.507:0.511",
						[3] = "2~0.57:0.676",
					},
				},
			},
			[14] = {
				["0.557:0.3"] = {
					["fmLoc"] = "0.557:0.3",
					["timers"] = {
						["8~0.512:0.25"] = 62,
						["17~0.432:0.327"] = 113,
						["24~0.407:0.245"] = 135,
					},
					["mapLoc"] = "30.6:59.25",
					["enUS"] = "Lakeshire, Redridge",
					["routes"] = {
						[1] = "8~0.512:0.25",
						[2] = "24~0.407:0.245",
						[3] = "17~0.432:0.327",
					},
				},
			},
			[15] = {
				["0.508:0.432"] = {
					["routes"] = {
						[1] = "5~0.58:0.349",
						[2] = "12~0.507:0.511",
					},
					["timers"] = {
						["5~0.58:0.349"] = 97,
						["12~0.507:0.511"] = 94,
						["20~0.546:0.746"] = 352,
					},
					["mapLoc"] = "37.84:30.73",
					["fmLoc"] = "0.508:0.432",
					["enUS"] = "Thorium Point, Searing Gorge",
				},
			},
			[17] = {
				["0.432:0.327"] = {
					["fmLoc"] = "0.432:0.327",
					["enUS"] = "Stormwind, Elwynn",
					["mapLoc"] = "66.3:62.66",
					["routes"] = {
						[1] = "8~0.512:0.25",
						[2] = "24~0.407:0.245",
						[3] = "12~0.507:0.511",
						[4] = "4~0.612:0.223",
						[5] = "5~0.58:0.349",
						[6] = "14~0.557:0.3",
						[7] = "18~0.433:0.069",
					},
					["timers"] = {
						["18~0.433:0.069"] = 245,
						["4~0.612:0.223"] = 177,
						["8~0.512:0.25"] = 118,
						["24~0.407:0.245"] = 78,
						["14~0.557:0.3"] = 113,
						["12~0.507:0.511"] = 258,
						["5~0.58:0.349"] = 158,
					},
				},
			},
			[18] = {
				["0.433:0.069"] = {
					["fmLoc"] = "0.433:0.069",
					["timers"] = {
						["8~0.512:0.25"] = 175,
						["17~0.432:0.327"] = 221,
						["24~0.407:0.245"] = 182,
					},
					["mapLoc"] = "27.52:77.67",
					["enUS"] = "Booty Bay, Stranglethorn",
					["routes"] = {
						[1] = "8~0.512:0.25",
						[2] = "24~0.407:0.245",
						[3] = "17~0.432:0.327",
					},
				},
			},
			[20] = {
				["0.546:0.746"] = {
					["fmLoc"] = "0.546:0.746",
					["timers"] = {
						["9~0.699:0.837"] = 166,
						["2~0.57:0.676"] = 74,
						["12~0.507:0.511"] = 257,
						["11~0.478:0.7"] = 67,
					},
					["mapLoc"] = "11.09:46.06",
					["enUS"] = "Aerie Peak, The Hinterlands",
					["routes"] = {
						[1] = "11~0.478:0.7",
						[2] = "12~0.507:0.511",
						[3] = "9~0.699:0.837",
						[4] = "2~0.57:0.676",
					},
				},
			},
			[23] = {
				["0.52:0.775"] = {
					["fmLoc"] = "0.52:0.775",
					["enUS"] = "Chillwind Camp, Western Plaguelands",
					["mapLoc"] = "42.94:84.95",
					["routes"] = {
						[1] = "11~0.478:0.7",
						[2] = "12~0.507:0.511",
						[3] = "9~0.699:0.837",
					},
					["timers"] = {
						["12~0.507:0.511"] = 261,
						["9~0.699:0.837"] = 147,
						["11~0.478:0.7"] = 86,
					},
				},
			},
			[24] = {
				["0.407:0.245"] = {
					["fmLoc"] = "0.407:0.245",
					["timers"] = {
						["8~0.512:0.25"] = 99,
						["18~0.433:0.069"] = 187,
						["17~0.432:0.327"] = 86,
						["14~0.557:0.3"] = 131,
					},
					["mapLoc"] = "56.57:52.66",
					["enUS"] = "Sentinel Hill, Westfall",
					["routes"] = {
						[1] = "18~0.433:0.069",
						[2] = "8~0.512:0.25",
						[3] = "14~0.557:0.3",
						[4] = "17~0.432:0.327",
					},
				},
			},
			[25] = {
				["0.49:0.559"] = {
					["fmLoc"] = "0.49:0.559",
					["timers"] = {
						["13~0.589:0.484"] = 164,
						["2~0.57:0.676"] = 114,
						["12~0.507:0.511"] = 90,
						["11~0.478:0.7"] = 108,
					},
					["mapLoc"] = "9.47:59.81",
					["enUS"] = "Menethil Harbor, Wetlands",
					["routes"] = {
						[1] = "11~0.478:0.7",
						[2] = "12~0.507:0.511",
						[3] = "13~0.589:0.484",
						[4] = "2~0.57:0.676",
					},
				},
			},
			["mapKnown"] = {
				[1] = "Ironforge, Dun Morogh",
				[2] = "Southshore, Hillsbrad",
				[3] = "Menethil Harbor, Wetlands",
				[4] = "Thorium Point, Searing Gorge",
				[5] = "Stormwind, Elwynn",
				[6] = "Refuge Pointe, Arathi",
				[7] = "Aerie Peak, The Hinterlands",
				[8] = "Thelsamar, Loch Modan",
				[9] = "Darkshire, Duskwood",
				[10] = "Lakeshire, Redridge",
				[11] = "Nethergarde Keep, Blasted Lands",
				[12] = "Chillwind Camp, Western Plaguelands",
				[13] = "Light's Hope Chapel, Eastern Plaguelands",
				[14] = "Sentinel Hill, Westfall",
				[15] = "Booty Bay, Stranglethorn",
				[16] = "Morgan's Vigil, Burning Steppes",
			},
		},
	},
}

-- These are the only two flight paths, so this should never need to be changed.
Default_EFM_Data_Druid = {
	["DruidVersion"] = 0.01,
	["Alliance"] = {
		[1] = {
			[10] = {
				["0.549:0.807"] = {
					["fmLoc"] = "0.549:0.807",
					["enUS"] = "Nighthaven, Moonglade",
					["routes"] = {
					},
					["timers"] = {
					},
				},
			},
		},
	},
	["Horde"] = {
		[1] = {
			[10] = {
				["0.549:0.807"] = {
					["fmLoc"] = "0.549:0.807",
					["timers"] = {
						["19~0.449:0.438"] = 546,
					},
					["mapLoc"] = "44.33:45.58",
					["enUS"] = "Nighthaven, Moonglade",
					["routes"] = {
						[1] = "19~0.449:0.438",
					},
				},
			},
			["mapKnown"] = {
				"Nighthaven, Moonglade",
			},
		},
	},
}
