local compost = CompostLib:GetInstance('compost-1')
local glory = GloryLib:GetInstance('1.0')
local tablet = TabletLib:GetInstance('1.0')
local dewdrop = DewdropLib:GetInstance('1.0')
local metro = Metrognome:GetInstance('1')
local deformat = BabbleLib:GetInstance("Deformat 1.2")
local babbleClass = BabbleLib:GetInstance("Class 1.2")
local Z = BabbleLib:GetInstance("Zone 1.2")
local crayon = CrayonLib:GetInstance('1.0')
local abacus = AbacusLib:GetInstance('1.0')

HonorFu = FuBarPlugin:GetInstance("1.2"):new({
	name          = HonorFuLocals.NAME,
	description   = HonorFuLocals.DESCRIPTION,
	version       = "1.1." .. string.sub("$Revision: 3035 $", 12, -3),
	releaseDate   = string.sub("$Date: 2006-06-20 08:44:58 -1000 (Tue, 20 Jun 2006) $", 8, 17),
	aceCompatible = 103,
	author        = "ckknight",
	email         = "ckknight@gmail.com",
	website       = "http://ckknight.wowinterface.com/",
	category      = "others",
	db            = AceDatabase:new("HonorFuDB"),
	defaults      = {
		autoRelease = true,
		showBGMap = true,
		showHonor = true,
		showBGScore = true,
		showCooldown = false,
		showKillsDeaths = false,
		printReputationGain = true,
		printHonorGain = true,
		showEnemyTooltipLine = true,
	},
	charDefaults  = {
		hks = {},
		todayDeaths = 0,
		todayHK = 0,
		todayHKHonor = 0,
		todayBonusHonor = 0,
		wsgWin = 0,
		wsgLoss = 0,
		abWin = 0,
		abLoss = 0,
		avWin = 0,
		avLoss = 0,
		yesterday = 0,
		lastWeek = 0
	},
	cmd           = AceChatCmd:new(HonorFuLocals.COMMANDS, HonorFuLocals.CMD_OPTIONS),
	hasIcon       = true,
	loc           = HonorFuLocals,
	updateTime    = 1.0,
	HONOR_ICON_PATH = "Interface\\PvPRankBadges\\PvPRank",
})
-- Methods
function HonorFu:IsShowingHonor()
	return self.data.showHonor
end

function HonorFu:ToggleShowingHonor(loud)
	self.data.showHonor = not self.data.showHonor
	if loud then
		self.cmd:status(self.loc.ARGUMENT_SHOWHONOR, self.data.autoRelease and 1 or 0, FuBarLocals.MAP_ONOFF)
	end
	self:UpdateText()
	return self.data.showHonor
end

function HonorFu:IsShowingBGScore()
	return self.data.showBGScore
end

function HonorFu:ToggleShowingBGScore(loud)
	self.data.showBGScore = not self.data.showBGScore
	if loud then
		self.cmd:status(self.loc.ARGUMENT_SHOWBGSCORE, self.data.showBGScore and 1 or 0, FuBarLocals.MAP_ONOFF)
	end
	self:UpdateText()
	return self.data.showBGScore
end

function HonorFu:IsShowingCooldown()
	return self.data.showCooldown
end

function HonorFu:ToggleShowingCooldown(loud)
	self.data.showCooldown = not self.data.showCooldown
	if loud then
		self.cmd:status(self.loc.ARGUMENT_SHOWCOOLDOWN, self.data.showCooldown and 1 or 0, FuBarLocals.MAP_ONOFF)
	end
	self:UpdateText()
	return self.data.showCooldown
end

function HonorFu:IsShowingKillsDeaths()
	return self.data.showKillsDeaths
end

function HonorFu:ToggleShowingKillsDeaths(loud)
	self.data.showKillsDeaths = not self.data.showKillsDeaths
	if loud then
		self.cmd:status(self.loc.ARGUMENT_SHOWKILLSDEATHS, self.data.showKillsDeaths and 1 or 0, FuBarLocals.MAP_ONOFF)
	end
	self:UpdateText()
	return self.data.showKillsDeaths
end

function HonorFu:IsShowingEnemyTooltipLine()
	return self.data.showEnemyTooltipLine
end

function HonorFu:ToggleShowingEnemyTooltipLine(loud)
	self.data.showEnemyTooltipLine = not self.data.showEnemyTooltipLine
	if loud then
		self.cmd:status(self.loc.ARGUMENT_ENEMYTOOLTIP, self.data.showEnemyTooltipLine and 1 or 0, FuBarLocals.MAP_ONOFF)
	end
	return self.data.showEnemyTooltipLine
end

function HonorFu:IsPrintingReputationGains()
	return self.data.printReputationGain
end

function HonorFu:TogglePrintingReputationGains(loud)
	self.data.printReputationGain = not self.data.printReputationGain
	if loud then
		self.cmd:status(self.loc.ARGUMENT_PRINTREPGAIN, self.data.printReputationGain and 1 or 0, FuBarLocals.MAP_ONOFF)
	end
	return self.data.printReputationGain
end

function HonorFu:IsPrintingHonorGains()
	return self.data.printHonorGain
end

function HonorFu:TogglePrintingHonorGains(loud)
	self.data.printHonorGain = not self.data.printHonorGain
	if loud then
		self.cmd:status(self.loc.ARGUMENT_PRINTHONORGAIN, self.data.printHonorGain and 1 or 0, FuBarLocals.MAP_ONOFF)
	end
	return self.data.printHonorGain
end

function HonorFu:IsAutoReleasing()
	return self.data.autoRelease
end

function HonorFu:ToggleAutoReleasing(loud)
	self.data.autoRelease = not self.data.autoRelease
	if loud then
		self.cmd:status(self.loc.ARGUMENT_AUTORELEASE, self.data.autoRelease and 1 or 0, FuBarLocals.MAP_ONOFF)
	end
	self:Update()
	return self.data.autoRelease
end

function HonorFu:IsShowingBGMap()
	return self.data.showBGMap
end

function HonorFu:ToggleShowingBGMap(loud)
	self.data.showBGMap = not self.data.showBGMap
	if loud then
		self.cmd:status(self.loc.ARGUMENT_BGMAP, self.data.showBGMap and 1 or 0, FuBarLocals.MAP_ONOFF)
	end
	if self.data.showBGMap and glory:IsInBattlegrounds() and BattlefieldMinimap then
		BattlefieldMinimap:Show()
	end
	return self.data.showBGMap
end

function HonorFu:Initialize()
	SLASH_TARFLAG1 = "/tarflag"
	SLASH_TARFLAG2 = "/tflag"
	SlashCmdList["TARFLAG"] = function(msg)
		self:TargetFlag()
	end
	
	self:HookIntoPlugin(ExperienceFu, "SWITCHTEXT_TITLE")
end

function HonorFu:Enable()
	glory:Register("UPDATE_PERMANENT_PVP", self, "Update")
	glory:Register("UPDATE_PVP_COOLDOWN", self, "Update")
	glory:Register("DEATH", self, "Update")
	-- Auto-release
	self:RegisterEvent("PLAYER_DEAD", "OnPlayerDead")
	-- Show tooltip info
	self:RegisterEvent("UPDATE_MOUSEOVER_UNIT", "OnUpdateMouseoverUnit")
	-- Open minimap
	self:RegisterEvent("PLAYER_ENTERING_WORLD", "OnPlayerEnteringWorld")
	-- Reputation change
	self:RegisterEvent("CHAT_MSG_COMBAT_FACTION_CHANGE", "OnChatMsgCombatFactionChange")
	glory:Register("FACTION_GAIN", self, "OnFactionGain")
	glory:Register("BG_WIN", self, "Update")
	glory:Register("BG_LOSS", self, "Update")
	glory:Register("GAIN_HK", self, "OnGainHK")
	glory:Register("GAIN_BONUS_HONOR", self, "OnGainBonusHonor")
	glory:Register("HOSTILE_FLAGCARRIER_UPDATE", self, "UpdateTooltip")
	glory:Register("NEW_DAY", self, "Update")
	glory:Register("UPDATE_PVP_COOLDOWN", self, "OnUpdatePvpCooldown")
	
	self:Hook("GameTooltip_OnHide")
	self:Hook("WorldStateScoreFrame_Update")
	self:Hook("WorldStateScoreFrame_Resize")
	if SCT_ParseCombat then
		self:Hook("SCT_ParseCombat")
	end
	
	metro:Register(self.name .. "PvP", self.UpdateDisplay, 1, self)
	if glory:GetPvPCooldown() > 0 then
		metro:Start(self.name .. "PvP")
	end
	
	self:OnPlayerEnteringWorld()
end

function HonorFu:Disable()
	glory:UnregisterAll(self)
	metro:Unregister(self.name .. "PvP")
end

function HonorFu:Report()
	local report = compost:Acquire(
		compost:AcquireHash(
			'text', self.loc.ARGUMENT_AUTORELEASE,
			'val', self:IsAutoReleasing() and 1 or 0,
			'map', FuBarLocals.MAP_ONOFF
		),
		compost:AcquireHash(
			'text', self.loc.ARGUMENT_BGMAP,
			'val', self:IsShowingBGMap() and 1 or 0,
			'map', FuBarLocals.MAP_ONOFF
		),
		compost:AcquireHash(
			'text', self.loc.ARGUMENT_PRINTREPGAIN,
			'val', self:IsPrintingReputationGains() and 1 or 0,
			'map', FuBarLocals.MAP_ONOFF
		),
		compost:AcquireHash(
			'text', self.loc.ARGUMENT_PRINTHONORGAIN,
			'val', self:IsPrintingHonorGains() and 1 or 0,
			'map', FuBarLocals.MAP_ONOFF
		),
		compost:AcquireHash(
			'text', self.loc.ARGUMENT_SHOWHONOR,
			'val', self:IsShowingHonor() and 1 or 0,
			'map', FuBarLocals.MAP_ONOFF
		),
		compost:AcquireHash(
			'text', self.loc.ARGUMENT_SHOWBGSCORE,
			'val', self:IsShowingBGScore() and 1 or 0,
			'map', FuBarLocals.MAP_ONOFF
		),
		compost:AcquireHash(
			'text', self.loc.ARGUMENT_SHOWKILLSDEATHS,
			'val', self:IsShowingKillsDeaths() and 1 or 0,
			'map', FuBarLocals.MAP_ONOFF
		),
		compost:AcquireHash(
			'text', self.loc.ARGUMENT_SHOWCOOLDOWN,
			'val', self:IsShowingKillsDeaths() and 1 or 0,
			'map', FuBarLocals.MAP_ONOFF
		),
		compost:AcquireHash(
			'text', self.loc.ARGUMENT_ENEMYTOOLTIP,
			'val', self:IsShowingEnemyTooltipLine() and 1 or 0,
			'map', FuBarLocals.MAP_ONOFF
		)
	)
	self.cmd:report(report)
	compost:Reclaim(report, 1)
end

function HonorFu:MenuSettings(level, value)
	if level == 1 then
		dewdrop:AddLine(
			'text', self.loc.MENU_TARGET_FLAG,
			'arg1', self,
			'func', "TargetFlag",
			'disabled', not glory:IsInWarsongGulch()
		)
		
		dewdrop:AddLine(
			'text', self.loc.MENU_SHOW_HONOR,
			'arg1', self,
			'func', "ToggleShowingHonor",
			'checked', self:IsShowingHonor()
		)
		
		dewdrop:AddLine(
			'text', self.loc.MENU_SHOW_BATTLEGROUNDS_SCORE,
			'arg1', self,
			'func', "ToggleShowingBGScore",
			'checked', self:IsShowingBGScore()
		)
		
		dewdrop:AddLine(
			'text', self.loc.MENU_SHOW_KILLS_AND_DEATHS,
			'arg1', self,
			'func', "ToggleShowingKillsDeaths",
			'checked', self:IsShowingKillsDeaths()
		)
		
		dewdrop:AddLine(
			'text', self.loc.MENU_SHOW_COOLDOWN,
			'arg1', self,
			'func', "ToggleShowingCooldown",
			'checked', self:IsShowingCooldown()
		)
		
		dewdrop:AddLine(
			'text', self.loc.MENU_AUTO_RELEASE_WHEN_DEAD,
			'arg1', self,
			'func', "ToggleAutoReleasing",
			'checked', self:IsAutoReleasing()
		)
		
		dewdrop:AddLine(
			'text', self.loc.MENU_OPEN_BATTLEGROUNDS_MINIMAP,
			'arg1', self,
			'func', "ToggleShowingBGMap",
			'checked', self:IsShowingBGMap()
		)
		
		dewdrop:AddLine(
			'text', self.loc.MENU_PRINT_REPUTATION_GAINS,
			'arg1', self,
			'func', "TogglePrintingReputationGains",
			'checked', self:IsPrintingReputationGains()
		)
		
		dewdrop:AddLine(
			'text', self.loc.MENU_PRINT_HONOR_GAINS,
			'arg1', self,
			'func', "TogglePrintingHonorGains",
			'checked', self:IsPrintingHonorGains()
		)
		
		dewdrop:AddLine(
			'text', self.loc.MENU_ADD_INFO_TO_ENEMY_TOOLTIP,
			'arg1', self,
			'func', "ToggleShowingEnemyTooltipLine",
			'checked', self:IsShowingEnemyTooltipLine()
		)
	end
end

function HonorFu:OnFactionGain(faction, amount)
	if self:IsPrintingReputationGains() then
		self.cmd:msg(format(self.loc.PATTERN_REPUTATION_GAIN, amount, faction))
	end
end

function HonorFu:SCT_ParseCombat(event, arg1)
	if event ~= "CHAT_MSG_COMBAT_HONOR_GAIN" then
		self:CallHook("SCT_ParseCombat", event, arg1)
	end
end

function HonorFu:OnGainHK(rank, name, honor, kills)
	if self:IsPrintingHonorGains() then
		self.cmd:msg(format(self.loc.PATTERN_GAIN_HK, rank, name, honor, kills))
	end
	if SCT_Display_Toggle then
		SCT_Display_Toggle("SHOWHONOR", "+"..honor.." "..HONOR)
	end
	self:Update()
end

function HonorFu:OnGainBonusHonor(bonus)
	if self:IsPrintingHonorGains() then
		self.cmd:msg(format(self.loc.PATTERN_BONUS_HONOR, bonus))
	end
	if SCT_Display_Toggle then
		SCT_Display_Toggle("SHOWHONOR", "+"..bonus.." "..HONOR)
	end
	self:Update()
end

function HonorFu:OnPlayerDead()
	if glory:IsInBattlegrounds() and not HasSoulstone() and self:IsAutoReleasing() then
		RepopMe()
	end
end

function HonorFu:ClearTooltipLine()
	if self.tooltipLine ~= nil then
		local line = self.tooltipLine
		self.tooltipLine = nil
		left = getglobal("GameTooltipTextLeft" .. line)

		if left:GetText() ~= nil and string.find(left:GetText(), "%d+%% " .. HONOR_CONTRIBUTION_POINTS) then
			left:SetText("")
			left:Hide()
		end
	end
end

function HonorFu:WorldStateScoreFrame_Resize()
	self:CallHook("WorldStateScoreFrame_Resize")
	
	if self.scoreColumn ~= nil then
		local numColumns = GetNumBattlefieldStats() + 1
		if WorldStateScoreScrollFrame:IsVisible() then
			width = WORLDSTATESCOREFRAME_BASE_WIDTH + 37 + numColumns * WORLDSTATESCOREFRAME_COLUMN_SPACING
		else
			width = WORLDSTATESCOREFRAME_BASE_WIDTH + numColumns * WORLDSTATESCOREFRAME_COLUMN_SPACING
		end
		WorldStateScoreFrame:SetWidth(width)
		WorldStateScoreFrameTopBackground:SetWidth(WorldStateScoreFrame:GetWidth() - 129)
		WorldStateScoreFrameTopBackground:SetTexCoord(0, WorldStateScoreFrameTopBackground:GetWidth()/256, 0, 1.0)
		WorldStateScoreFrame.scrollBarButtonWidth = WorldStateScoreFrame:GetWidth() - 175
		WorldStateScoreFrame.buttonWidth = WorldStateScoreFrame:GetWidth() - 137
		WorldStateScoreScrollFrame:SetWidth(WorldStateScoreFrame.scrollBarButtonWidth)
	end
end

function HonorFu:WorldStateScoreFrame_Update()
	self:CallHook("WorldStateScoreFrame_Update")

	local i = GetNumBattlefieldStats() + 1
	if i <= MAX_NUM_STAT_COLUMNS then
		self.scoreColumn = i
		local columnButton = getglobal("WorldStateScoreColumn"..i)
		local columnButtonText = getglobal("WorldStateScoreColumn"..i.."Text")
		columnButtonText:SetText("Killed Today")
		columnButton.icon = ""
		columnButton.tooltip = "Number of kills today.\nIf more than 4 kills, then no more honor from this player."
		
		local columnTextButton = getglobal("WorldStateScoreButton1Column"..i.."Text")
		columnTextButton:SetPoint("CENTER", "WorldStateScoreColumn"..i, "CENTER", -1, -33)
		
		WorldStateScoreFrameHonorGained:ClearAllPoints()
		WorldStateScoreFrameHonorGained:SetPoint("CENTER", "WorldStateScoreColumn"..i, "CENTER", 88, 0)
		
		getglobal("WorldStateScoreColumn"..i):Show()
	else
		self.scoreColumn = nil
	end
	
	local numScores = GetNumBattlefieldScores()
	
	for i = 1, MAX_WORLDSTATE_SCORE_BUTTONS do
		local index = FauxScrollFrame_GetOffset(WorldStateScoreScrollFrame) + i
		if index > numScores then
			break
		end
		local name, killingBlows, honorableKills, deaths, honorGained, faction, rank, race, class = GetBattlefieldScore(index)
		local button = getglobal("WorldStateScoreButton" .. i .. "NameButtonName")
		getglobal("WorldStateScoreButton" .. i .. "NameButtonName"):SetTextColor(babbleClass:GetColor(class))
		if self.scoreColumn ~= nil then
			local col = getglobal("WorldStateScoreButton" .. i .. "Column" .. self.scoreColumn .. "Text")
			if UnitFactionGroup("player") == "Alliance" then
				if faction == 0 then
					col:SetText(glory:GetTodayHKs(name))
					col:Show()
				else
					col:SetText("")
					col:Hide()
				end
			else
				if faction == 1 then
					col:SetText(glory:GetTodayHKs(name))
					col:Show()
				else
					col:SetText("")
					col:Hide()
				end
			end
		end
	end
end

function HonorFu:GameTooltip_OnHide()
	self:CallHook("GameTooltip_OnHide")
	if self:IsShowingEnemyTooltipLine() then
		self:ClearTooltipLine()
	end
end

function HonorFu:OnUpdateMouseoverUnit()
	self:ClearTooltipLine()
	if self:IsShowingEnemyTooltipLine() and UnitExists("mouseover") and UnitFactionGroup("mouseover") ~= UnitFactionGroup("player") and GetDifficultyColor(UnitLevel("mouseover")) ~= QuestDifficultyColor["trivial"] and UnitIsPlayer("mouseover") then
		local hks = glory:GetTodayHKs(UnitName("mouseover"))
		if GameTooltip:IsVisible() and GameTooltipTextLeft1:GetText() ~= nil and string.find(GameTooltipTextLeft1:GetText(), UnitName("mouseover")) then
			local line = GameTooltip:NumLines() + 1
			self.tooltipLine = line
			local left = getglobal("GameTooltipTextLeft" .. line)
			if left ~= nil then
				left:SetText(format("%d Kills - |cff%s%.0f%% %s|r", hks, crayon:GetThresholdHexColor((4 - hks) / 4), math.max((4 - hks) * 25, 0), HONOR_CONTRIBUTION_POINTS))
				left:Show()
				GameTooltip:SetHeight(GameTooltip:GetHeight() + 18)
				if GameTooltip:GetWidth() < left:GetWidth() + 20 then
					GameTooltip:SetWidth(left:GetWidth() + 20)
				end
			end
		end
	end
end

function HonorFu:OnPlayerEnteringWorld()
	if glory:IsInBattlegrounds() and self:IsShowingBGMap() then
		BattlefieldMinimap_LoadUI()
		if BattlefieldMinimap and not BattlefieldMinimap:IsVisible() then
			BattlefieldMinimap:Show()
		end
	end
end

function HonorFu:TargetFlag()
	glory:TargetHostileFlagCarrier()
end

function HonorFu:OnClick()
	self:TargetFlag()
end

function HonorFu:UpdateText()
	local _, rankNumber = GetPVPRankInfo(UnitPVPRank("player"))
	if rankNumber > 0 then
		self:SetIcon(format("%s%02d", self.HONOR_ICON_PATH, rankNumber))
	else
		self:SetIcon(format("%s%s", self.HONOR_ICON_PATH, UnitFactionGroup("player")))
	end
	local t = compost:Acquire()
	if self:IsShowingHonor() then
		table.insert(t, "|cffffffff" .. glory:GetTodayHonor() .. "|r " .. HONOR_CONTRIBUTION_POINTS)
	end
	if self:IsShowingBGScore() then
		local wins = glory:GetBattlegroundsWins()
		local losses = glory:GetBattlegroundsLosses()
		local percent = 0.5
		if wins + losses ~= 0 then
			local percent = wins / (wins + losses)
			table.insert(t, format("|cff%s%d-%d (%.0f%%)|r", crayon:GetThresholdHexColor(percent), wins, losses, percent * 100))
		else
			table.insert(t, "|cffffffff0-0|r")
		end
	end
	if self:IsShowingKillsDeaths() then
		if self:IsShowingBGScore() then
			table.insert(t, "||")
		end
		local kills = glory:GetTodayHKs()
		local deaths = glory:GetTodayDeaths()
		if kills + deaths ~= 0 then
			local percent = kills / (kills + deaths)
			table.insert(t, format("|cff%s%d-%d (%.0f%%)|r", crayon:GetThresholdHexColor(percent), kills, deaths, percent * 100))
		else
			table.insert(t, "|cffffffff0-0|r")
		end
	end
	if self:IsShowingCooldown() then
		if self:IsShowingKillsDeaths() or self:IsShowingBGScore() then
			table.insert(t, "||")
		end
		if glory:IsInBattlegrounds() or glory:IsPermanentPvP() then
			table.insert(t, crayon:Red(self.loc.TEXT_ON))
		else
			local cooldown = glory:GetPvPCooldown()
			if cooldown > 0 then
				table.insert(t, crayon:Yellow(abacus:FormatDurationFull(cooldown)))
			else
				table.insert(t, crayon:Green(self.loc.TEXT_OFF))
			end
		end
	end
	self:SetText(table.concat(t, " "))
	compost:Reclaim(t)
end

function HonorFu:UpdateTooltip()
	local cat = tablet:AddCategory(
		'columns', 2,
		'child_textR', 1,
		'child_textG', 1,
		'child_textB', 0,
		'child_text2R', 1,
		'child_text2G', 1,
		'child_text2B', 1
	)
	
	local kills = glory:GetTodayHKs()
	local deaths = glory:GetTodayDeaths()
	if kills + deaths ~= 0 then
		local percent = kills / (kills + deaths)
		local r, g, b = crayon:GetThresholdColor(percent)
		cat:AddLine(
			'text', self.loc.TEXT_KILLS_TO_DEATHS .. ":",
			'text2', format("%d-%d (%.0f%%)", kills, deaths, percent * 100),
			'text2R', r,
			'text2G', g,
			'text2B', b
		)
	else
		cat:AddLine(
			'text', self.loc.TEXT_KILLS_TO_DEATHS .. ":",
			'text2', "0-0"
		)
	end
	
	cat:AddLine(
		'text', self.loc.TEXT_TODAY_HK_HONOR .. ":",
		'text2', glory:GetTodayHKHonor()
	)
	
	cat:AddLine(
		'text', self.loc.TEXT_TODAY_BONUS_HONOR .. ":",
		'text2', glory:GetTodayBonusHonor()
	)
	
	cat:AddLine(
		'text', self.loc.TEXT_TODAY_TOTAL_HONOR .. ":",
		'text2', glory:GetTodayHonor()
	)
	
	local text
	if glory:IsInBattlegrounds() then
		text = self.loc.TEXT_BATTLEGROUNDS
	elseif glory:IsPermanentPvP() then
		text = self.loc.TEXT_FLAGGED
	else
		local t = glory:GetPvPCooldown()
		if t > 0 then
			text = abacus:FormatDurationFull(t)
		else
			text = NONE
		end
	end
	cat:AddLine(
		'text', self.loc.TEXT_PVP_COOLDOWN .. ":",
		'text2', text
	)
	
	cat = tablet:AddCategory(
		'columns', 2,
		'child_textR', 1,
		'child_textG', 1,
		'child_textB', 0,
		'child_text2R', 1,
		'child_text2G', 1,
		'child_text2B', 1
	)
	
	local rankName, rankNumber = GetPVPRankInfo(UnitPVPRank("player"))
	rankName = rankName or NONE
	cat:AddLine(
		'text', RANK .. ":",
		'text2', format("%s (%d)", rankName, rankNumber)
	)
	
	cat:AddLine(
		'text', self.loc.TEXT_PROGRESS .. ":",
		'text2', format("%.0f%%", GetPVPRankProgress() * 100)
	)
	
	local _,_,yesterdayHonor = GetPVPYesterdayStats()
	cat:AddLine(
		'text', self.loc.TEXT_YESTERDAY_HONOR .. ":",
		'text2', yesterdayHonor
	)
	
	local _, weekHonor = GetPVPThisWeekStats()
	cat:AddLine(
		'text', self.loc.TEXT_THIS_WEEK_HONOR .. ":",
		'text2', weekHonor
	)
	
	local _,_,lastWeekHonor,_ = GetPVPLastWeekStats()
	cat:AddLine(
		'text', self.loc.TEXT_LAST_WEEK_HONOR .. ":",
		'text2', lastWeekHonor
	)
	
	if UnitLevel("player") >= 10 then
		cat:AddLine(
			'text', self.loc.TEXT_RATING_LIMIT .. ":",
			'text2', glory:GetRatingLimit()
		)
		
		cat:AddLine(
			'text', self.loc.TEXT_RANK_LIMIT .. ":",
			'text2', format("%s (%d)", glory:GetRankLimitInfo())
		)
	end
	
	cat = tablet:AddCategory(
		'columns', 2,
		'child_textR', 1,
		'child_textG', 1,
		'child_textB', 0,
		'child_text2R', 1,
		'child_text2G', 1,
		'child_text2B', 1
	)
	
	local wins = glory:GetBattlegroundsWins()
	local losses = glory:GetBattlegroundsLosses()
	if wins + losses == 0 then
		cat:AddLine(
			'text', self.loc.TEXT_BATTLEGROUNDS_SCORE .. ":",
			'text2', "0-0"
		)
	else
		local percent = wins / (wins + losses)
		local r, g, b = crayon:GetThresholdColor(percent)
		cat:AddLine(
			'text', self.loc.TEXT_BATTLEGROUNDS_SCORE .. ":",
			'text2', format("%d-%d (%.0f%%)", wins, losses, percent * 100),
			'text2R', r,
			'text2G', g,
			'text2B', b
		)
	end
	
	if UnitLevel("player") >= 10 then
		wins = glory:GetWarsongGulchWins()
		losses = glory:GetWarsongGulchLosses()
		if wins + losses == 0 then
			cat:AddLine(
				'text', format(self.loc.PATTERN_BATTLEGROUNDS_SCORE, Z"Warsong Gulch") .. ":",
				'text2', "0-0"
			)
		else
			local percent = wins / (wins + losses)
			local r, g, b = crayon:GetThresholdColor(percent)
			cat:AddLine(
				'text', format(self.loc.PATTERN_BATTLEGROUNDS_SCORE, Z"Warsong Gulch") .. ":",
				'text2', format("%d-%d (%.0f%%)", wins, losses, percent * 100),
				'text2R', r,
				'text2G', g,
				'text2B', b
			)
		end
	end
	
	if UnitLevel("player") >= 20 then
		wins = glory:GetArathiBasinWins()
		losses = glory:GetArathiBasinLosses()
		if wins + losses == 0 then
			cat:AddLine(
				'text', format(self.loc.PATTERN_BATTLEGROUNDS_SCORE, Z"Arathi Basin") .. ":",
				'text2', "0-0"
			)
		else
			local percent = wins / (wins + losses)
			local r, g, b = crayon:GetThresholdColor(percent)
			cat:AddLine(
				'text', format(self.loc.PATTERN_BATTLEGROUNDS_SCORE, Z"Arathi Basin") .. ":",
				'text2', format("%d-%d (%.0f%%)", wins, losses, percent * 100),
				'text2R', r,
				'text2G', g,
				'text2B', b
			)
		end
	end
	
	if UnitLevel("player") >= 51 then
		wins = glory:GetAlteracValleyWins()
		losses = glory:GetAlteracValleyLosses()
		if wins + losses == 0 then
			cat:AddLine(
				'text', format(self.loc.PATTERN_BATTLEGROUNDS_SCORE, Z"Alterac Valley") .. ":",
				'text2', "0-0"
			)
		else
			local percent = wins / (wins + losses)
			local r, g, b = crayon:GetThresholdColor(percent)
			cat:AddLine(
				'text', format(self.loc.PATTERN_BATTLEGROUNDS_SCORE, Z"Alterac Valley") .. ":",
				'text2', format("%d-%d (%.0f%%)", wins, losses, percent * 100),
				'text2R', r,
				'text2G', g,
				'text2B', b
			)
		end
	end
	
	local sMonth, sDay, eMonth, eDay, current = glory:GetCurrentOrNextWarsongWeekend()
	local text
	if sMonth ~= eMonth then
		text = format("%s %d - %s %d", sMonth, sDay, eMonth, eDay)
	else
		text = format("%s %d - %d", sMonth, sDay, eDay)
	end
	cat:AddLine(
		'text', format(self.loc.PATTERN_BATTLEGROUNDS_WEEKEND, Z"Warsong Gulch"),
		'text2', text,
		'text2R', current and 0 or 1,
		'text2G', 1,
		'text2B', current and 0 or 1
	)
	
	local sMonth, sDay, eMonth, eDay, current = glory:GetCurrentOrNextArathiWeekend()
	local text
	if sMonth ~= eMonth then
		text = format("%s %d - %s %d", sMonth, sDay, eMonth, eDay)
	else
		text = format("%s %d - %d", sMonth, sDay, eDay)
	end
	cat:AddLine(
		'text', format(self.loc.PATTERN_BATTLEGROUNDS_WEEKEND, Z"Arathi Basin"),
		'text2', text,
		'text2R', current and 0 or 1,
		'text2G', 1,
		'text2B', current and 0 or 1
	)
	
	local sMonth, sDay, eMonth, eDay, current = glory:GetCurrentOrNextAlteracWeekend()
	local text
	if sMonth ~= eMonth then
		text = format("%s %d - %s %d", sMonth, sDay, eMonth, eDay)
	else
		text = format("%s %d - %d", sMonth, sDay, eDay)
	end
	cat:AddLine(
		'text', format(self.loc.PATTERN_BATTLEGROUNDS_WEEKEND, Z"Alterac Valley"),
		'text2', text,
		'text2R', current and 0 or 1,
		'text2G', 1,
		'text2B', current and 0 or 1
	)
	
	if glory:IsInWarsongGulch() then
		tablet:SetHint(format(self.loc.PATTERN_HINT_WARSONG, glory:GetHostileFlagCarrier() or NONE))
	end
end

function HonorFu:OnUpdatePvpCooldown(cooldown)
	if cooldown > 0 then
		metro:Start(self.name .. "PvP")
		if self.hookedPlugin ~= nil and not self:IsCurrentPluginHookSwitch() then
			self:SwitchPluginHook()
		end
	else
		metro:Stop(self.name .. "PvP")
		if self.hookedPlugin ~= nil and self:IsCurrentPluginHookSwitch() then
			self:SwitchPluginHook()
		end
	end
end

HonorFu:RegisterForLoad()
